/*

nsisPatchGen
Copyright (C) 2006  Vibration Technology Ltd. ( http://www.vibtech.co.uk )

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
  * \file
**/

#ifndef NSIS_GENERATOR_H
#define NSIS_GENERATOR_H
#pragma once

#include "StartExternals.h"
#include <QTextStream>
#include <QString>
#include <QFile>
#include "StopExternals.h"

class QStringList;


/// Brief description of class goes here - end with full stop.
/// More detailed description.
/// Across multiple lines.
class NsisGenerator
{
public:

	NsisGenerator( const QString& fileName );

	void open( ) throw(QString);
	void close( );

	virtual ~NsisGenerator( );

	void filesAdded(    const QStringList& files );
	void filesRemoved(  const QStringList& files );
	void filesModified( const QStringList& files );

	void directoriesAdded( const QStringList& dirs );
	void directoriesRemoved( const QStringList& dirs );

private:

	void writeHeader( );

	void splitFileAndPath( const QString& fullPath, QString& dirOut, QString& fileOut );

	QFile mOutFile;
	QTextStream mOut;

};

#endif // NSIS_GENERATOR_H