/*

nsisPatchGen
Copyright (C) 2006  Vibration Technology Ltd. ( http://www.vibtech.co.uk )

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
  * \file
**/

#ifndef PATCH_GENERATOR_H
#define PATCH_GENERATOR_H
#pragma once

#include "StartExternals.h"
// External and ui_* includes go here
#include "StopExternals.h"

class QString;
class QStringList;

/// Brief description of class goes here - end with full stop.
/// More detailed description.
/// Across multiple lines.
class PatchGenerator
{
public:
	PatchGenerator( );
	virtual ~PatchGenerator( );

	/// Create a patch file for the given source and destination file.
	/// The patch file contains the differences between the two files
	/// and when applied to the source generates the destination file.
	/// The patch file is created by a call to the VPatch utility
	/// GenPat.exe. This must be on the PATH.
	void createPatchFile( const QString& source, const QString& destination, const QString& patchFile ) throw( QString );
 

private:

	bool createDirectoryForPatchFileIfNecessary( const QString& patchFile );
};

#endif // PATCH_GENERATOR_H