/*

nsisPatchGen
Copyright (C) 2006  Vibration Technology Ltd. ( http://www.vibtech.co.uk )

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*/
#ifndef DIRECTORY_DIFF_TEST_H
#define DIRECTORY_DIFF_TEST_H
#pragma once

#include "StartExternals.h"
#include <QObject>
#include "StopExternals.h"

#include "UseCppUnit.h"

class QString;
class QStringList;
class DirectoryDiff;

class DirectoryDiffTest : public QObject, public CppUnit::TestFixture
{
	Q_OBJECT;
	CPPUNIT_TEST_SUITE( DirectoryDiffTest );
	CPPUNIT_TEST( testConstructor );
	CPPUNIT_TEST( testCompareFilesIn );
	CPPUNIT_TEST( testCompare );
	CPPUNIT_TEST( testCompareSimilar );
	CPPUNIT_TEST( testCompareFailures );
	CPPUNIT_TEST( testCompareIncludeHiddenFiles );
	CPPUNIT_TEST( testCompareIncludeSystemFiles );

	CPPUNIT_TEST_SUITE_END();

public:
	void setUp();
	void tearDown();
	void testConstructor();
	void testCompareFilesIn();
	void testCompare();
	void testCompareSimilar();
	void testCompareFailures();
	void testCompareIncludeHiddenFiles();
	void testCompareIncludeSystemFiles();

private:

	void listFiles( const QString & type, const QStringList& files );

	void verifyListOfNonHiddenNonSystemFiles( const DirectoryDiff& directoryDiff );

	void setFileAttributes();
};


#endif // DIRECTORY_DIFF_TEST_H