!macro NSISPGPatchFile PATCHDATA SOURCEFILE TEMPFILE
  InitPluginsDir
  File "/oname=$PLUGINSDIR\${TEMPFILE}.patchFile" "${PATCHDATA}"
  vpatch::vpatchfile "$PLUGINSDIR\${TEMPFILE}.patchFile" "${SOURCEFILE}" "${TEMPFILE}"
  Pop $1
  DetailPrint $1
  StrCpy $1 $1 2
  StrCmp $1 "OK" +2
  SetErrors
  IfFileExists "${TEMPFILE}" +1 +3
  Delete "${SOURCEFILE}"
  Rename /REBOOTOK "${TEMPFILE}" "${SOURCEFILE}"
  Delete "$PLUGINSDIR\${TEMPFILE}.patchFile"
!macroend

Function patchFilesModified
  InitPluginsDir

  ;Patching "file1.txt" using patch file "file1.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\file1.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\file1.txt.pat" "${PATCH_INSTALL_ROOT}\file1.txt" "file1.txt.tmp"

  ;Patching "file2.txt" using patch file "file2.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\file2.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\file2.txt.pat" "${PATCH_INSTALL_ROOT}\file2.txt" "file2.txt.tmp"

  ;Patching "directory1\file3.txt" using patch file "directory1\file3.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\directory1\file3.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\directory1\file3.txt.pat" "${PATCH_INSTALL_ROOT}\directory1\file3.txt" "file3.txt.tmp"

  ;Patching "directory1\directory2\file4.txt" using patch file "directory1\directory2\file4.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\directory1\directory2\file4.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\directory1\directory2\file4.txt.pat" "${PATCH_INSTALL_ROOT}\directory1\directory2\file4.txt" "file4.txt.tmp"

FunctionEnd

