!AddPluginDir "../bin"
!AddIncludeDir "../"

!define INSTALLER_NAME "GoldenEye Source"
!define PRODUCT_NAME "GoldenEye: Source"
!define PRODUCT_PUBLISHER "GoldenEye:Source Developers"
!define PRODUCT_WEB_SITE "www.geshl2.com"

!define FULL_GAME_NAME "${PRODUCT_NAME} ${PRODUCT_VERSION}"

!define APPID 218

!define MODDIR "gesource"

!define DESKICO "game.ico"
;This is the location on the local computer where the icon for the desktop icon for the game is.
;The icon name must be the same as the one in gameinfo.txt
;Remove all colons from this (as well as any other invalid char in a file name)

!ifdef USEPASSWORD
    !define UsernameMD5 "4dbf44c6b1be736ee92ef90090452fc2" # boris
    !define PasswordMD5 "d687e6b9fd1181ff676f161b30fcc621" # im invincible

    !define IDC_USERNAME 1215
    !define IDC_PASSWORD 1214
!endif

!define LOGFILE "$INSTDIR\ges_install.log"

;Variables
Var StartMenuFolder
var ICONDIR
var STEAMEXE

!include "MUI2.nsh"

!define MUI_ICON "..\game.ico"

!define MUI_FINISHPAGE_RUN
!define MUI_FINISHPAGE_RUN_FUNCTION     "LaunchLink"
!define MUI_FINISHPAGE_RUN_TEXT     "Launch ${FULL_GAME_NAME}"
!define MUI_FINISHPAGE_RUN_NOTCHECKED
!define MUI_FINISHPAGE_LINK     "Want to give some feedback? Join us on our Forums!"
!define MUI_FINISHPAGE_LINK_LOCATION    "http://forums.geshl2.com"
!define MUI_FINISHPAGE_SHOWREADME   "http://wiki.geshl2.com/v4.2_release_documentation"
!define MUI_FINISHPAGE_SHOWREADME_NOTCHECKED
!define MUI_FINISHPAGE_TEXT         "Please Note: You must restart Steam for the mod to show in your games list!"  
!define MUI_ABORTWARNING

!ifdef USEPASSWORD
     Page Custom UserPassPageShow UserPassPageLeave
    !define MUI_PAGE_CUSTOMFUNCTION_SHOW ComponentsPageShow
!endif

!insertmacro MUI_PAGE_LICENSE "../EULA.txt"
!insertmacro MUI_PAGE_COMPONENTS
!insertmacro MUI_PAGE_STARTMENU "Application" $StartMenuFolder
!insertmacro MUI_PAGE_INSTFILES
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES

!insertmacro MUI_LANGUAGE "English"

!define MUI_HEADERIMAGE
!define MUI_HEADERIMAGE_RIGHT
!define MUI_HEADERIMAGE_BITMAP "..\game_icon.bmp"

Name "${FULL_GAME_NAME}"
OutFile "${OUTFILE_NAME}.exe"
ShowInstDetails show
RequestExecutionLevel admin

Section "Back up Achievements" BUA
    IfFileExists "$INSTDIR\gesource\gamestate.txt" 0 +1
        CopyFiles "$INSTDIR\gesource\gamestate.txt" "$INSTDIR\gamestate.txt"
SectionEnd

Function GESErrorResponse
    IfErrors 0 +2
      MessageBox MB_OK "One or more files failed to patch properly!$\nTHIS CAN CAUSE AN UNSUCCESSFUL PATCH!$\nIt is suggested that you download the full installer or zip file.$\nAn error log was created: ${LOGFILE}"
FunctionEnd

Function GESUninstaller
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}" \
                     "DisplayName" "GoldenEye: Source"
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}" \
                     "UninstallString" "$INSTDIR\${INSTALLER_NAME}_Uninstall.exe"
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}" \
                     "InstallLocation" "$INSTDIR\gesource"
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}" \
                     "DisplayIcon" "$INSTDIR\gesource\resource\${DESKICO}"
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}" \
                     "DisplayVersion" "4.2.3"
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}" \
                     "Publisher" "Team GoldenEye: Source"
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}" \
                     "HelpLink" "http://forums.geshl2.com"
    WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}" \
                     "EstimatedSize" "2726297"
    WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}" \
                     "NoModify" "1"
    WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}" \
                     "NoRepair" "1"
    
    ;Create uninstaller
    WriteUninstaller "$INSTDIR\${INSTALLER_NAME}_Uninstall.exe"
FunctionEnd

Function GESShortcut
    !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
        SetShellVarContext all
        
        ;Create shortcuts
        CreateDirectory "$SMPROGRAMS\$StartMenuFolder"
        
        SetOutPath ""
    
        CreateShortcut "$SMPROGRAMS\$StartMenuFolder\${INSTALLER_NAME}.lnk" $STEAMEXE \
            '-applaunch ${APPID} -game "$INSTDIR\gesource"' "$ICONDIR\${DESKICO}"
        CreateShortCut "$SMPROGRAMS\$StartMenuFolder\Uninstall.lnk" "$INSTDIR\${INSTALLER_NAME}_Uninstall.exe"
    
        CreateDirectory $INSTDIR\gesource\screenshots
        CreateShortcut "$SMPROGRAMS\$StartMenuFolder\ScreenShot Folder.lnk" "$INSTDIR\gesource\screenshots"
      
    !insertmacro MUI_STARTMENU_WRITE_END
FunctionEnd

Function GESFindInstallPath
    ReadRegStr $R0 HKLM "Software\Valve\Steam" InstallPath
    ReadRegStr $R1 HKCU "Software\Valve\Steam" SourceModInstallPath
    StrCpy $INSTDIR "$R1"
    
    !ifndef NO_DESKTOP_ICON
        StrCpy $ICONDIR "$R1\gesource\resource\"
        StrCpy $STEAMEXE "$R0\steam.exe"
    !endif
FunctionEnd


!ifndef NO_DESKTOP_ICON
Section "Desktop Shortcut" SHORTCUT
    SetOutPath "$DESKTOP"
    CreateShortcut "${INSTALLER_NAME}.lnk" $STEAMEXE \
        '-applaunch ${APPID} -game "$INSTDIR\gesource"' "$ICONDIR\${DESKICO}"
SectionEnd
!endif


Section "Uninstall"
    SetShellVarContext all

    Delete "$INSTDIR\${INSTALLER_NAME}_Uninstall.exe"

    RMDir /r "$INSTDIR\gesource"
    
    !insertmacro MUI_STARTMENU_GETFOLDER Application $StartMenuFolder
    
    Delete "$SMPROGRAMS\$StartMenuFolder\Uninstall.lnk"
    Delete "$SMPROGRAMS\$StartMenuFolder\${INSTALLER_NAME}.lnk"
    RMDir /r "$SMPROGRAMS\$StartMenuFolder"

    SetOutPath "$DESKTOP"
    Delete "${INSTALLER_NAME}.lnk"

    DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALLER_NAME}"
SectionEnd

Function LaunchLink
    Exec '$STEAMEXE -applaunch ${APPID} -game "$INSTDIR\gesource"'
FunctionEnd

; //password page functions
!ifdef USEPASSWORD

    ## Displays the password dialog
    Function UserPassPageShow
         !insertmacro MUI_HEADER_TEXT "Enter Username && Password" "Enter your username and password to continue."
        
         PassDialog::InitDialog /NOUNLOAD UserPass
          Pop $R0 # Page HWND
        
          GetDlgItem $R1 $R0 ${IDC_USERNAME}
          SetCtlColors $R1 0x000000 0xFFFFFF
          GetDlgItem $R1 $R0 ${IDC_PASSWORD}
          SetCtlColors $R1 0x000000 0xFFFFFF
        
         PassDialog::Show
    FunctionEnd

    ## Validate password
    Function UserPassPageLeave
        ## Pop password & username from stack
        Pop $R0
        Pop $R1
        
        ## Get MD5 string for username
        MD5DLL::GetMD5String $R0
        Pop $R0
        
        ## Get MD5 string for password
        MD5DLL::GetMD5String $R1
        Pop $R1
        
        ## A bit of validation
        StrCmp $R0 '${UsernameMD5}' 0 +2
        StrCmp $R1 '${PasswordMD5}' Good Bad
        
        Bad:
        MessageBox MB_OK|MB_ICONEXCLAMATION "The entered username or password is incorrect!"
        Abort
        
        Good:
    FunctionEnd

    Function ComponentsPageShow
         ## Disable the Back button
         GetDlgItem $R0 $HWNDPARENT 3
         EnableWindow $R0 0
    FunctionEnd
!endif # USEPASSWORD
