!macro NSISPGPatchFile PATCHDATA SOURCEFILE TEMPFILE
  InitPluginsDir
  File "/oname=$PLUGINSDIR\${TEMPFILE}.patchFile" "${PATCHDATA}"
  vpatch::vpatchfile "$PLUGINSDIR\${TEMPFILE}.patchFile" "${SOURCEFILE}" "${TEMPFILE}"
  Pop $1
  DetailPrint $1
  StrCpy $2 $1 2
  StrCmp $2 "OK" +3
  SetErrors
  nsislog::log "${LOGFILE}" "[PATCH] Failed to patch ${SOURCEFILE}; reason: $1"
  StrCpy $2 $1 3
  StrCmp $2 "OK," +1 +3
  SetErrors
  nsislog::log "${LOGFILE}" "[PATCH] Failed to patch ${SOURCEFILE}; reason: $1"
  IfFileExists "${TEMPFILE}" +1 +3
  ;nsislog::log "${LOGFILE}" "[PATCH] Successfully patched ${SOURCEFILE}"
  ;Delete /REBOOTOK "${TEMPFILE}"
  Delete "${SOURCEFILE}"
  Rename /REBOOTOK "${TEMPFILE}" "${SOURCEFILE}"
  Delete "$PLUGINSDIR\${TEMPFILE}.patchFile"
!macroend

Function patchDirectoriesAdded
  CreateDirectory "${PATCH_INSTALL_ROOT}\scripts\python\lib\ptvsd"
FunctionEnd

Function patchDirectoriesRemoved
FunctionEnd

Function patchFilesAdded
  SetOutPath "${PATCH_INSTALL_ROOT}\cfg"
  File "${PATCH_SOURCE_ROOT}\cfg\arsenal.cfg"
  SetOutPath "${PATCH_INSTALL_ROOT}\cfg"
  File "${PATCH_SOURCE_ROOT}\cfg\drnoarmor.cfg"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\loadouts"
  File "${PATCH_SOURCE_ROOT}\scripts\loadouts\gameplay_liveandletdie.txt"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Schedules"
  File "${PATCH_SOURCE_ROOT}\scripts\python\Ai\Schedules\common.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Tasks"
  File "${PATCH_SOURCE_ROOT}\scripts\python\Ai\Tasks\common.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay"
  File "${PATCH_SOURCE_ROOT}\scripts\python\GamePlay\Arsenal.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\gesource.zip"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\__init__.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\_pydev_completer.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\_pydev_imports_tipper.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\_pydev_inspect.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\_pydev_jy_imports_tipper.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\_pydev_log.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\_pydev_tipper_common.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\_pydevd_re.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\interpreterInfo.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\pycompletion.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\pycompletionserver.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\pydev_console_utils.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\pydev_override.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\pydevconsole.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\pydev\pydevd_console.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\python2.6"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\python2.6\code.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\python2.6"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\python2.6\codeop.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\python2.6"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\python2.6\getpass.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\ptvsd"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\ptvsd\__init__.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\ptvsd"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\ptvsd\attach_server.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\ptvsd"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\ptvsd\visualstudio_py_debugger.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\ptvsd"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\ptvsd\visualstudio_py_repl.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\ge_debugger.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python"
  File "${PATCH_SOURCE_ROOT}\scripts\python\LICENSE.txt"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python"
  File "${PATCH_SOURCE_ROOT}\scripts\python\python.pyproj"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python"
  File "${PATCH_SOURCE_ROOT}\scripts\python\python.sln"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python"
  File "${PATCH_SOURCE_ROOT}\scripts\python\README.md"
  SetOutPath "${PATCH_INSTALL_ROOT}\sound\weapons\rpg"
  File "${PATCH_SOURCE_ROOT}\sound\weapons\rpg\rpg_fire2.wav"
  SetOutPath "${PATCH_INSTALL_ROOT}"
  File "${PATCH_SOURCE_ROOT}\EULA.txt"
  SetOutPath "${PATCH_INSTALL_ROOT}"
  File "${PATCH_SOURCE_ROOT}\version.txt"
FunctionEnd

Function patchFilesRemoved
  Delete "${PATCH_INSTALL_ROOT}\materials\sprites\crosshair_hr.vtf"
  Delete "${PATCH_INSTALL_ROOT}\scripts\loadouts\gameplay_lald.txt"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Schedules\CommonSchedules.py"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Tasks\CommonTasks.py"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\ge_pydevd.py"
  Delete "${PATCH_INSTALL_ROOT}\sound\player\playerhit.wav"
FunctionEnd

Function patchFilesModified
  InitPluginsDir

  ;Patching "bin\client.dll" using patch file "bin\client.dll.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\bin\client.dll"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\bin\client.dll.pat" "${PATCH_INSTALL_ROOT}\bin\client.dll" "client.dll.tmp"

  ;Patching "bin\server.dll" using patch file "bin\server.dll.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\bin\server.dll"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\bin\server.dll.pat" "${PATCH_INSTALL_ROOT}\bin\server.dll" "server.dll.tmp"

  ;Patching "cfg\gungame.cfg" using patch file "cfg\gungame.cfg.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\cfg\gungame.cfg"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\cfg\gungame.cfg.pat" "${PATCH_INSTALL_ROOT}\cfg\gungame.cfg" "gungame.cfg.tmp"

  ;Patching "cfg\server.cfg.sample" using patch file "cfg\server.cfg.sample.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\cfg\server.cfg.sample"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\cfg\server.cfg.sample.pat" "${PATCH_INSTALL_ROOT}\cfg\server.cfg.sample" "server.cfg.sample.tmp"

  ;Patching "cfg\tournamentdm.cfg" using patch file "cfg\tournamentdm.cfg.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\cfg\tournamentdm.cfg"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\cfg\tournamentdm.cfg.pat" "${PATCH_INSTALL_ROOT}\cfg\tournamentdm.cfg" "tournamentdm.cfg.tmp"

  ;Patching "cfg\Valve.rc" using patch file "cfg\Valve.rc.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\cfg\Valve.rc"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\cfg\Valve.rc.pat" "${PATCH_INSTALL_ROOT}\cfg\Valve.rc" "Valve.rc.tmp"

  ;Patching "maps\ge_basement.bsp" using patch file "maps\ge_basement.bsp.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\maps\ge_basement.bsp"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\maps\ge_basement.bsp.pat" "${PATCH_INSTALL_ROOT}\maps\ge_basement.bsp" "ge_basement.bsp.tmp"

  ;Patching "maps\graphs\ge_basement.ain" using patch file "maps\graphs\ge_basement.ain.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\maps\graphs\ge_basement.ain"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\maps\graphs\ge_basement.ain.pat" "${PATCH_INSTALL_ROOT}\maps\graphs\ge_basement.ain" "ge_basement.ain.tmp"

  ;Patching "maps\graphs\ge_basement_classic.ain" using patch file "maps\graphs\ge_basement_classic.ain.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\maps\graphs\ge_basement_classic.ain"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\maps\graphs\ge_basement_classic.ain.pat" "${PATCH_INSTALL_ROOT}\maps\graphs\ge_basement_classic.ain" "ge_basement_classic.ain.tmp"

  ;Patching "maps\graphs\ge_caverns.ain" using patch file "maps\graphs\ge_caverns.ain.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\maps\graphs\ge_caverns.ain"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\maps\graphs\ge_caverns.ain.pat" "${PATCH_INSTALL_ROOT}\maps\graphs\ge_caverns.ain" "ge_caverns.ain.tmp"

  ;Patching "maps\graphs\ge_control.ain" using patch file "maps\graphs\ge_control.ain.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\maps\graphs\ge_control.ain"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\maps\graphs\ge_control.ain.pat" "${PATCH_INSTALL_ROOT}\maps\graphs\ge_control.ain" "ge_control.ain.tmp"

  ;Patching "maps\graphs\ge_facility.ain" using patch file "maps\graphs\ge_facility.ain.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\maps\graphs\ge_facility.ain"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\maps\graphs\ge_facility.ain.pat" "${PATCH_INSTALL_ROOT}\maps\graphs\ge_facility.ain" "ge_facility.ain.tmp"

  ;Patching "maps\graphs\ge_runway.ain" using patch file "maps\graphs\ge_runway.ain.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\maps\graphs\ge_runway.ain"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\maps\graphs\ge_runway.ain.pat" "${PATCH_INSTALL_ROOT}\maps\graphs\ge_runway.ain" "ge_runway.ain.tmp"

  ;Patching "materials\Goldeneye\Bunker\icyrock.vtf" using patch file "materials\Goldeneye\Bunker\icyrock.vtf.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\materials\Goldeneye\Bunker\icyrock.vtf"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\materials\Goldeneye\Bunker\icyrock.vtf.pat" "${PATCH_INSTALL_ROOT}\materials\Goldeneye\Bunker\icyrock.vtf" "icyrock.vtf.tmp"

  ;Patching "materials\models\weapons\v_models\v_ar33\v_ar33barrelmag_normal.vtf" using patch file "materials\models\weapons\v_models\v_ar33\v_ar33barrelmag_normal.vtf.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\materials\models\weapons\v_models\v_ar33\v_ar33barrelmag_normal.vtf"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\materials\models\weapons\v_models\v_ar33\v_ar33barrelmag_normal.vtf.pat" "${PATCH_INSTALL_ROOT}\materials\models\weapons\v_models\v_ar33\v_ar33barrelmag_normal.vtf" "v_ar33barrelmag_normal.vtf.tmp"

  ;Patching "materials\models\weapons\v_models\v_goldengun\v_goldengun.vtf" using patch file "materials\models\weapons\v_models\v_goldengun\v_goldengun.vtf.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\materials\models\weapons\v_models\v_goldengun\v_goldengun.vtf"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\materials\models\weapons\v_models\v_goldengun\v_goldengun.vtf.pat" "${PATCH_INSTALL_ROOT}\materials\models\weapons\v_models\v_goldengun\v_goldengun.vtf" "v_goldengun.vtf.tmp"

  ;Patching "materials\models\weapons\v_models\v_goldengun\v_goldengun_normal.vtf" using patch file "materials\models\weapons\v_models\v_goldengun\v_goldengun_normal.vtf.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\materials\models\weapons\v_models\v_goldengun\v_goldengun_normal.vtf"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\materials\models\weapons\v_models\v_goldengun\v_goldengun_normal.vtf.pat" "${PATCH_INSTALL_ROOT}\materials\models\weapons\v_models\v_goldengun\v_goldengun_normal.vtf" "v_goldengun_normal.vtf.tmp"

  ;Patching "materials\sprites\crosshair.vtf" using patch file "materials\sprites\crosshair.vtf.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\materials\sprites\crosshair.vtf"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\materials\sprites\crosshair.vtf.pat" "${PATCH_INSTALL_ROOT}\materials\sprites\crosshair.vtf" "crosshair.vtf.tmp"

  ;Patching "materials\VGUI\roundreport\background_ffa.vtf" using patch file "materials\VGUI\roundreport\background_ffa.vtf.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\materials\VGUI\roundreport\background_ffa.vtf"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\materials\VGUI\roundreport\background_ffa.vtf.pat" "${PATCH_INSTALL_ROOT}\materials\VGUI\roundreport\background_ffa.vtf" "background_ffa.vtf.tmp"

  ;Patching "materials\VGUI\roundreport\background_team.vtf" using patch file "materials\VGUI\roundreport\background_team.vtf.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\materials\VGUI\roundreport\background_team.vtf"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\materials\VGUI\roundreport\background_team.vtf.pat" "${PATCH_INSTALL_ROOT}\materials\VGUI\roundreport\background_team.vtf" "background_team.vtf.tmp"

  ;Patching "media\ges_intro.bik" using patch file "media\ges_intro.bik.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\media\ges_intro.bik"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\media\ges_intro.bik.pat" "${PATCH_INSTALL_ROOT}\media\ges_intro.bik" "ges_intro.bik.tmp"

  ;Patching "models\weapons\ar33\v_ar33.dx80.vtx" using patch file "models\weapons\ar33\v_ar33.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\ar33\v_ar33.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\ar33\v_ar33.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\ar33\v_ar33.dx80.vtx" "v_ar33.dx80.vtx.tmp"

  ;Patching "models\weapons\ar33\v_ar33.dx90.vtx" using patch file "models\weapons\ar33\v_ar33.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\ar33\v_ar33.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\ar33\v_ar33.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\ar33\v_ar33.dx90.vtx" "v_ar33.dx90.vtx.tmp"

  ;Patching "models\weapons\ar33\v_ar33.mdl" using patch file "models\weapons\ar33\v_ar33.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\ar33\v_ar33.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\ar33\v_ar33.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\ar33\v_ar33.mdl" "v_ar33.mdl.tmp"

  ;Patching "models\weapons\ar33\v_ar33.sw.vtx" using patch file "models\weapons\ar33\v_ar33.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\ar33\v_ar33.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\ar33\v_ar33.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\ar33\v_ar33.sw.vtx" "v_ar33.sw.vtx.tmp"

  ;Patching "models\weapons\ar33\v_ar33.vvd" using patch file "models\weapons\ar33\v_ar33.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\ar33\v_ar33.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\ar33\v_ar33.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\ar33\v_ar33.vvd" "v_ar33.vvd.tmp"

  ;Patching "models\weapons\autosg\v_autosg.dx80.vtx" using patch file "models\weapons\autosg\v_autosg.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\autosg\v_autosg.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\autosg\v_autosg.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\autosg\v_autosg.dx80.vtx" "v_autosg.dx80.vtx.tmp"

  ;Patching "models\weapons\autosg\v_autosg.dx90.vtx" using patch file "models\weapons\autosg\v_autosg.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\autosg\v_autosg.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\autosg\v_autosg.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\autosg\v_autosg.dx90.vtx" "v_autosg.dx90.vtx.tmp"

  ;Patching "models\weapons\autosg\v_autosg.mdl" using patch file "models\weapons\autosg\v_autosg.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\autosg\v_autosg.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\autosg\v_autosg.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\autosg\v_autosg.mdl" "v_autosg.mdl.tmp"

  ;Patching "models\weapons\autosg\v_autosg.sw.vtx" using patch file "models\weapons\autosg\v_autosg.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\autosg\v_autosg.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\autosg\v_autosg.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\autosg\v_autosg.sw.vtx" "v_autosg.sw.vtx.tmp"

  ;Patching "models\weapons\autosg\v_autosg.vvd" using patch file "models\weapons\autosg\v_autosg.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\autosg\v_autosg.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\autosg\v_autosg.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\autosg\v_autosg.vvd" "v_autosg.vvd.tmp"

  ;Patching "models\weapons\cmag\v_cmag.dx80.vtx" using patch file "models\weapons\cmag\v_cmag.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\cmag\v_cmag.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\cmag\v_cmag.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\cmag\v_cmag.dx80.vtx" "v_cmag.dx80.vtx.tmp"

  ;Patching "models\weapons\cmag\v_cmag.dx90.vtx" using patch file "models\weapons\cmag\v_cmag.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\cmag\v_cmag.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\cmag\v_cmag.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\cmag\v_cmag.dx90.vtx" "v_cmag.dx90.vtx.tmp"

  ;Patching "models\weapons\cmag\v_cmag.mdl" using patch file "models\weapons\cmag\v_cmag.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\cmag\v_cmag.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\cmag\v_cmag.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\cmag\v_cmag.mdl" "v_cmag.mdl.tmp"

  ;Patching "models\weapons\cmag\v_cmag.sw.vtx" using patch file "models\weapons\cmag\v_cmag.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\cmag\v_cmag.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\cmag\v_cmag.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\cmag\v_cmag.sw.vtx" "v_cmag.sw.vtx.tmp"

  ;Patching "models\weapons\cmag\v_cmag.vvd" using patch file "models\weapons\cmag\v_cmag.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\cmag\v_cmag.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\cmag\v_cmag.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\cmag\v_cmag.vvd" "v_cmag.vvd.tmp"

  ;Patching "models\weapons\d5k\v_d5k.dx80.vtx" using patch file "models\weapons\d5k\v_d5k.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\d5k\v_d5k.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\d5k\v_d5k.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\d5k\v_d5k.dx80.vtx" "v_d5k.dx80.vtx.tmp"

  ;Patching "models\weapons\d5k\v_d5k.dx90.vtx" using patch file "models\weapons\d5k\v_d5k.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\d5k\v_d5k.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\d5k\v_d5k.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\d5k\v_d5k.dx90.vtx" "v_d5k.dx90.vtx.tmp"

  ;Patching "models\weapons\d5k\v_d5k.mdl" using patch file "models\weapons\d5k\v_d5k.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\d5k\v_d5k.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\d5k\v_d5k.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\d5k\v_d5k.mdl" "v_d5k.mdl.tmp"

  ;Patching "models\weapons\d5k\v_d5k.sw.vtx" using patch file "models\weapons\d5k\v_d5k.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\d5k\v_d5k.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\d5k\v_d5k.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\d5k\v_d5k.sw.vtx" "v_d5k.sw.vtx.tmp"

  ;Patching "models\weapons\d5k\v_d5k.vvd" using patch file "models\weapons\d5k\v_d5k.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\d5k\v_d5k.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\d5k\v_d5k.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\d5k\v_d5k.vvd" "v_d5k.vvd.tmp"

  ;Patching "models\weapons\gl\v_gl.dx80.vtx" using patch file "models\weapons\gl\v_gl.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\gl\v_gl.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\gl\v_gl.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\gl\v_gl.dx80.vtx" "v_gl.dx80.vtx.tmp"

  ;Patching "models\weapons\gl\v_gl.dx90.vtx" using patch file "models\weapons\gl\v_gl.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\gl\v_gl.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\gl\v_gl.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\gl\v_gl.dx90.vtx" "v_gl.dx90.vtx.tmp"

  ;Patching "models\weapons\gl\v_gl.mdl" using patch file "models\weapons\gl\v_gl.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\gl\v_gl.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\gl\v_gl.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\gl\v_gl.mdl" "v_gl.mdl.tmp"

  ;Patching "models\weapons\gl\v_gl.sw.vtx" using patch file "models\weapons\gl\v_gl.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\gl\v_gl.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\gl\v_gl.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\gl\v_gl.sw.vtx" "v_gl.sw.vtx.tmp"

  ;Patching "models\weapons\gl\v_gl.vvd" using patch file "models\weapons\gl\v_gl.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\gl\v_gl.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\gl\v_gl.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\gl\v_gl.vvd" "v_gl.vvd.tmp"

  ;Patching "models\weapons\goldengun\v_goldengun.dx80.vtx" using patch file "models\weapons\goldengun\v_goldengun.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\goldengun\v_goldengun.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\goldengun\v_goldengun.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\goldengun\v_goldengun.dx80.vtx" "v_goldengun.dx80.vtx.tmp"

  ;Patching "models\weapons\goldengun\v_goldengun.dx90.vtx" using patch file "models\weapons\goldengun\v_goldengun.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\goldengun\v_goldengun.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\goldengun\v_goldengun.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\goldengun\v_goldengun.dx90.vtx" "v_goldengun.dx90.vtx.tmp"

  ;Patching "models\weapons\goldengun\v_goldengun.mdl" using patch file "models\weapons\goldengun\v_goldengun.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\goldengun\v_goldengun.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\goldengun\v_goldengun.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\goldengun\v_goldengun.mdl" "v_goldengun.mdl.tmp"

  ;Patching "models\weapons\goldengun\v_goldengun.sw.vtx" using patch file "models\weapons\goldengun\v_goldengun.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\goldengun\v_goldengun.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\goldengun\v_goldengun.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\goldengun\v_goldengun.sw.vtx" "v_goldengun.sw.vtx.tmp"

  ;Patching "models\weapons\goldengun\v_goldengun.vvd" using patch file "models\weapons\goldengun\v_goldengun.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\goldengun\v_goldengun.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\goldengun\v_goldengun.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\goldengun\v_goldengun.vvd" "v_goldengun.vvd.tmp"

  ;Patching "models\weapons\kf7\v_kf7.dx80.vtx" using patch file "models\weapons\kf7\v_kf7.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\kf7\v_kf7.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\kf7\v_kf7.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\kf7\v_kf7.dx80.vtx" "v_kf7.dx80.vtx.tmp"

  ;Patching "models\weapons\kf7\v_kf7.dx90.vtx" using patch file "models\weapons\kf7\v_kf7.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\kf7\v_kf7.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\kf7\v_kf7.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\kf7\v_kf7.dx90.vtx" "v_kf7.dx90.vtx.tmp"

  ;Patching "models\weapons\kf7\v_kf7.mdl" using patch file "models\weapons\kf7\v_kf7.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\kf7\v_kf7.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\kf7\v_kf7.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\kf7\v_kf7.mdl" "v_kf7.mdl.tmp"

  ;Patching "models\weapons\kf7\v_kf7.sw.vtx" using patch file "models\weapons\kf7\v_kf7.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\kf7\v_kf7.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\kf7\v_kf7.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\kf7\v_kf7.sw.vtx" "v_kf7.sw.vtx.tmp"

  ;Patching "models\weapons\kf7\v_kf7.vvd" using patch file "models\weapons\kf7\v_kf7.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\kf7\v_kf7.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\kf7\v_kf7.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\kf7\v_kf7.vvd" "v_kf7.vvd.tmp"

  ;Patching "models\weapons\klobb\v_klobb.dx80.vtx" using patch file "models\weapons\klobb\v_klobb.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\klobb\v_klobb.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\klobb\v_klobb.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\klobb\v_klobb.dx80.vtx" "v_klobb.dx80.vtx.tmp"

  ;Patching "models\weapons\klobb\v_klobb.dx90.vtx" using patch file "models\weapons\klobb\v_klobb.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\klobb\v_klobb.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\klobb\v_klobb.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\klobb\v_klobb.dx90.vtx" "v_klobb.dx90.vtx.tmp"

  ;Patching "models\weapons\klobb\v_klobb.mdl" using patch file "models\weapons\klobb\v_klobb.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\klobb\v_klobb.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\klobb\v_klobb.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\klobb\v_klobb.mdl" "v_klobb.mdl.tmp"

  ;Patching "models\weapons\klobb\v_klobb.sw.vtx" using patch file "models\weapons\klobb\v_klobb.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\klobb\v_klobb.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\klobb\v_klobb.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\klobb\v_klobb.sw.vtx" "v_klobb.sw.vtx.tmp"

  ;Patching "models\weapons\klobb\v_klobb.vvd" using patch file "models\weapons\klobb\v_klobb.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\klobb\v_klobb.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\klobb\v_klobb.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\klobb\v_klobb.vvd" "v_klobb.vvd.tmp"

  ;Patching "models\weapons\moonraker\v_moonraker.dx80.vtx" using patch file "models\weapons\moonraker\v_moonraker.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\moonraker\v_moonraker.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\moonraker\v_moonraker.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\moonraker\v_moonraker.dx80.vtx" "v_moonraker.dx80.vtx.tmp"

  ;Patching "models\weapons\moonraker\v_moonraker.dx90.vtx" using patch file "models\weapons\moonraker\v_moonraker.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\moonraker\v_moonraker.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\moonraker\v_moonraker.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\moonraker\v_moonraker.dx90.vtx" "v_moonraker.dx90.vtx.tmp"

  ;Patching "models\weapons\moonraker\v_moonraker.mdl" using patch file "models\weapons\moonraker\v_moonraker.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\moonraker\v_moonraker.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\moonraker\v_moonraker.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\moonraker\v_moonraker.mdl" "v_moonraker.mdl.tmp"

  ;Patching "models\weapons\moonraker\v_moonraker.sw.vtx" using patch file "models\weapons\moonraker\v_moonraker.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\moonraker\v_moonraker.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\moonraker\v_moonraker.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\moonraker\v_moonraker.sw.vtx" "v_moonraker.sw.vtx.tmp"

  ;Patching "models\weapons\moonraker\v_moonraker.vvd" using patch file "models\weapons\moonraker\v_moonraker.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\moonraker\v_moonraker.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\moonraker\v_moonraker.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\moonraker\v_moonraker.vvd" "v_moonraker.vvd.tmp"

  ;Patching "models\weapons\rcp90\v_rcp90.dx80.vtx" using patch file "models\weapons\rcp90\v_rcp90.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\rcp90\v_rcp90.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\rcp90\v_rcp90.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\rcp90\v_rcp90.dx80.vtx" "v_rcp90.dx80.vtx.tmp"

  ;Patching "models\weapons\rcp90\v_rcp90.dx90.vtx" using patch file "models\weapons\rcp90\v_rcp90.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\rcp90\v_rcp90.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\rcp90\v_rcp90.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\rcp90\v_rcp90.dx90.vtx" "v_rcp90.dx90.vtx.tmp"

  ;Patching "models\weapons\rcp90\v_rcp90.mdl" using patch file "models\weapons\rcp90\v_rcp90.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\rcp90\v_rcp90.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\rcp90\v_rcp90.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\rcp90\v_rcp90.mdl" "v_rcp90.mdl.tmp"

  ;Patching "models\weapons\rcp90\v_rcp90.sw.vtx" using patch file "models\weapons\rcp90\v_rcp90.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\rcp90\v_rcp90.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\rcp90\v_rcp90.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\rcp90\v_rcp90.sw.vtx" "v_rcp90.sw.vtx.tmp"

  ;Patching "models\weapons\rcp90\v_rcp90.vvd" using patch file "models\weapons\rcp90\v_rcp90.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\rcp90\v_rcp90.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\rcp90\v_rcp90.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\rcp90\v_rcp90.vvd" "v_rcp90.vvd.tmp"

  ;Patching "models\weapons\rocket_launcher\v_rocket_launcher.dx80.vtx" using patch file "models\weapons\rocket_launcher\v_rocket_launcher.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.dx80.vtx" "v_rocket_launcher.dx80.vtx.tmp"

  ;Patching "models\weapons\rocket_launcher\v_rocket_launcher.dx90.vtx" using patch file "models\weapons\rocket_launcher\v_rocket_launcher.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.dx90.vtx" "v_rocket_launcher.dx90.vtx.tmp"

  ;Patching "models\weapons\rocket_launcher\v_rocket_launcher.mdl" using patch file "models\weapons\rocket_launcher\v_rocket_launcher.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.mdl" "v_rocket_launcher.mdl.tmp"

  ;Patching "models\weapons\rocket_launcher\v_rocket_launcher.sw.vtx" using patch file "models\weapons\rocket_launcher\v_rocket_launcher.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.sw.vtx" "v_rocket_launcher.sw.vtx.tmp"

  ;Patching "models\weapons\rocket_launcher\v_rocket_launcher.vvd" using patch file "models\weapons\rocket_launcher\v_rocket_launcher.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\rocket_launcher\v_rocket_launcher.vvd" "v_rocket_launcher.vvd.tmp"

  ;Patching "models\weapons\shotgun\v_shotgun.dx80.vtx" using patch file "models\weapons\shotgun\v_shotgun.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\shotgun\v_shotgun.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\shotgun\v_shotgun.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\shotgun\v_shotgun.dx80.vtx" "v_shotgun.dx80.vtx.tmp"

  ;Patching "models\weapons\shotgun\v_shotgun.dx90.vtx" using patch file "models\weapons\shotgun\v_shotgun.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\shotgun\v_shotgun.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\shotgun\v_shotgun.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\shotgun\v_shotgun.dx90.vtx" "v_shotgun.dx90.vtx.tmp"

  ;Patching "models\weapons\shotgun\v_shotgun.mdl" using patch file "models\weapons\shotgun\v_shotgun.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\shotgun\v_shotgun.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\shotgun\v_shotgun.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\shotgun\v_shotgun.mdl" "v_shotgun.mdl.tmp"

  ;Patching "models\weapons\shotgun\v_shotgun.sw.vtx" using patch file "models\weapons\shotgun\v_shotgun.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\shotgun\v_shotgun.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\shotgun\v_shotgun.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\shotgun\v_shotgun.sw.vtx" "v_shotgun.sw.vtx.tmp"

  ;Patching "models\weapons\shotgun\v_shotgun.vvd" using patch file "models\weapons\shotgun\v_shotgun.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\shotgun\v_shotgun.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\shotgun\v_shotgun.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\shotgun\v_shotgun.vvd" "v_shotgun.vvd.tmp"

  ;Patching "models\weapons\sniperrifle\v_sniperrifle.dx80.vtx" using patch file "models\weapons\sniperrifle\v_sniperrifle.dx80.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\sniperrifle\v_sniperrifle.dx80.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\sniperrifle\v_sniperrifle.dx80.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\sniperrifle\v_sniperrifle.dx80.vtx" "v_sniperrifle.dx80.vtx.tmp"

  ;Patching "models\weapons\sniperrifle\v_sniperrifle.dx90.vtx" using patch file "models\weapons\sniperrifle\v_sniperrifle.dx90.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\sniperrifle\v_sniperrifle.dx90.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\sniperrifle\v_sniperrifle.dx90.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\sniperrifle\v_sniperrifle.dx90.vtx" "v_sniperrifle.dx90.vtx.tmp"

  ;Patching "models\weapons\sniperrifle\v_sniperrifle.mdl" using patch file "models\weapons\sniperrifle\v_sniperrifle.mdl.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\sniperrifle\v_sniperrifle.mdl"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\sniperrifle\v_sniperrifle.mdl.pat" "${PATCH_INSTALL_ROOT}\models\weapons\sniperrifle\v_sniperrifle.mdl" "v_sniperrifle.mdl.tmp"

  ;Patching "models\weapons\sniperrifle\v_sniperrifle.sw.vtx" using patch file "models\weapons\sniperrifle\v_sniperrifle.sw.vtx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\sniperrifle\v_sniperrifle.sw.vtx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\sniperrifle\v_sniperrifle.sw.vtx.pat" "${PATCH_INSTALL_ROOT}\models\weapons\sniperrifle\v_sniperrifle.sw.vtx" "v_sniperrifle.sw.vtx.tmp"

  ;Patching "models\weapons\sniperrifle\v_sniperrifle.vvd" using patch file "models\weapons\sniperrifle\v_sniperrifle.vvd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\models\weapons\sniperrifle\v_sniperrifle.vvd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\models\weapons\sniperrifle\v_sniperrifle.vvd.pat" "${PATCH_INSTALL_ROOT}\models\weapons\sniperrifle\v_sniperrifle.vvd" "v_sniperrifle.vvd.tmp"

  ;Patching "resource\ui\AchievementNotification.res" using patch file "resource\ui\AchievementNotification.res.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\ui\AchievementNotification.res"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\ui\AchievementNotification.res.pat" "${PATCH_INSTALL_ROOT}\resource\ui\AchievementNotification.res" "AchievementNotification.res.tmp"

  ;Patching "resource\ui\RoundReport.res" using patch file "resource\ui\RoundReport.res.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\ui\RoundReport.res"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\ui\RoundReport.res.pat" "${PATCH_INSTALL_ROOT}\resource\ui\RoundReport.res" "RoundReport.res.tmp"

  ;Patching "resource\ClientScheme.res" using patch file "resource\ClientScheme.res.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\ClientScheme.res"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\ClientScheme.res.pat" "${PATCH_INSTALL_ROOT}\resource\ClientScheme.res" "ClientScheme.res.tmp"

  ;Patching "resource\gameui_english.txt" using patch file "resource\gameui_english.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gameui_english.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gameui_english.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gameui_english.txt" "gameui_english.txt.tmp"

  ;Patching "resource\gameui_french.txt" using patch file "resource\gameui_french.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gameui_french.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gameui_french.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gameui_french.txt" "gameui_french.txt.tmp"

  ;Patching "resource\gameui_german.txt" using patch file "resource\gameui_german.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gameui_german.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gameui_german.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gameui_german.txt" "gameui_german.txt.tmp"

  ;Patching "resource\gameui_italian.txt" using patch file "resource\gameui_italian.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gameui_italian.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gameui_italian.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gameui_italian.txt" "gameui_italian.txt.tmp"

  ;Patching "resource\gameui_polish.txt" using patch file "resource\gameui_polish.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gameui_polish.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gameui_polish.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gameui_polish.txt" "gameui_polish.txt.tmp"

  ;Patching "resource\gameui_spanish.txt" using patch file "resource\gameui_spanish.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gameui_spanish.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gameui_spanish.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gameui_spanish.txt" "gameui_spanish.txt.tmp"

  ;Patching "resource\ges_createserver_map.txt" using patch file "resource\ges_createserver_map.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\ges_createserver_map.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\ges_createserver_map.txt.pat" "${PATCH_INSTALL_ROOT}\resource\ges_createserver_map.txt" "ges_createserver_map.txt.tmp"

  ;Patching "resource\GESCreateServer.res" using patch file "resource\GESCreateServer.res.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\GESCreateServer.res"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\GESCreateServer.res.pat" "${PATCH_INSTALL_ROOT}\resource\GESCreateServer.res" "GESCreateServer.res.tmp"

  ;Patching "resource\gesource_english.txt" using patch file "resource\gesource_english.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_english.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_english.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_english.txt" "gesource_english.txt.tmp"

  ;Patching "resource\gesource_french.txt" using patch file "resource\gesource_french.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_french.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_french.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_french.txt" "gesource_french.txt.tmp"

  ;Patching "resource\gesource_german.txt" using patch file "resource\gesource_german.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_german.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_german.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_german.txt" "gesource_german.txt.tmp"

  ;Patching "resource\gesource_italian.txt" using patch file "resource\gesource_italian.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_italian.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_italian.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_italian.txt" "gesource_italian.txt.tmp"

  ;Patching "resource\gesource_polish.txt" using patch file "resource\gesource_polish.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_polish.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_polish.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_polish.txt" "gesource_polish.txt.tmp"

  ;Patching "resource\gesource_spanish.txt" using patch file "resource\gesource_spanish.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_spanish.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_spanish.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_spanish.txt" "gesource_spanish.txt.tmp"

  ;Patching "resource\SourceScheme.res" using patch file "resource\SourceScheme.res.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\SourceScheme.res"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\SourceScheme.res.pat" "${PATCH_INSTALL_ROOT}\resource\SourceScheme.res" "SourceScheme.res.tmp"

  ;Patching "resource\TeamMenuScheme.res" using patch file "resource\TeamMenuScheme.res.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\TeamMenuScheme.res"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\TeamMenuScheme.res.pat" "${PATCH_INSTALL_ROOT}\resource\TeamMenuScheme.res" "TeamMenuScheme.res.tmp"

  ;Patching "scripts\python\Ai\Schedules\__init__.py" using patch file "scripts\python\Ai\Schedules\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Schedules\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Schedules\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Schedules\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\Ai\Tasks\__init__.py" using patch file "scripts\python\Ai\Tasks\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Tasks\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Tasks\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Tasks\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\Ai\Utils\__init__.py" using patch file "scripts\python\Ai\Utils\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Utils\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Utils\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Utils\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\Ai\Utils\Memory.py" using patch file "scripts\python\Ai\Utils\Memory.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Utils\Memory.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Utils\Memory.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Utils\Memory.py" "Memory.py.tmp"

  ;Patching "scripts\python\Ai\Utils\Weapons.py" using patch file "scripts\python\Ai\Utils\Weapons.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Utils\Weapons.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Utils\Weapons.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Utils\Weapons.py" "Weapons.py.tmp"

  ;Patching "scripts\python\Ai\__init__.py" using patch file "scripts\python\Ai\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\Ai\bot_deathmatch.py" using patch file "scripts\python\Ai\bot_deathmatch.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_deathmatch.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\bot_deathmatch.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_deathmatch.py" "bot_deathmatch.py.tmp"

  ;Patching "scripts\python\Ai\bot_drnoarmor.py" using patch file "scripts\python\Ai\bot_drnoarmor.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_drnoarmor.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\bot_drnoarmor.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_drnoarmor.py" "bot_drnoarmor.py.tmp"

  ;Patching "scripts\python\Ai\bot_gungame.py" using patch file "scripts\python\Ai\bot_gungame.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_gungame.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\bot_gungame.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_gungame.py" "bot_gungame.py.tmp"

  ;Patching "scripts\python\Ai\bot_ltk.py" using patch file "scripts\python\Ai\bot_ltk.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_ltk.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\bot_ltk.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_ltk.py" "bot_ltk.py.tmp"

  ;Patching "scripts\python\Ai\bot_mwgg.py" using patch file "scripts\python\Ai\bot_mwgg.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_mwgg.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\bot_mwgg.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_mwgg.py" "bot_mwgg.py.tmp"

  ;Patching "scripts\python\GamePlay\Utils\__init__.py" using patch file "scripts\python\GamePlay\Utils\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Utils\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\GamePlay\Utils\GEOvertime.py" using patch file "scripts\python\GamePlay\Utils\GEOvertime.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEOvertime.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Utils\GEOvertime.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEOvertime.py" "GEOvertime.py.tmp"

  ;Patching "scripts\python\GamePlay\Utils\GEPlayerTracker.py" using patch file "scripts\python\GamePlay\Utils\GEPlayerTracker.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEPlayerTracker.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Utils\GEPlayerTracker.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEPlayerTracker.py" "GEPlayerTracker.py.tmp"

  ;Patching "scripts\python\GamePlay\Utils\GETimer.py" using patch file "scripts\python\GamePlay\Utils\GETimer.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GETimer.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Utils\GETimer.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GETimer.py" "GETimer.py.tmp"

  ;Patching "scripts\python\GamePlay\Utils\GEWarmUp.py" using patch file "scripts\python\GamePlay\Utils\GEWarmUp.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEWarmUp.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Utils\GEWarmUp.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEWarmUp.py" "GEWarmUp.py.tmp"

  ;Patching "scripts\python\GamePlay\__init__.py" using patch file "scripts\python\GamePlay\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\GamePlay\CaptureTheKey.py" using patch file "scripts\python\GamePlay\CaptureTheKey.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\CaptureTheKey.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\CaptureTheKey.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\CaptureTheKey.py" "CaptureTheKey.py.tmp"

  ;Patching "scripts\python\GamePlay\DeathMatch.py" using patch file "scripts\python\GamePlay\DeathMatch.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\DeathMatch.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\DeathMatch.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\DeathMatch.py" "DeathMatch.py.tmp"

  ;Patching "scripts\python\GamePlay\DrNoArmor.py" using patch file "scripts\python\GamePlay\DrNoArmor.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\DrNoArmor.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\DrNoArmor.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\DrNoArmor.py" "DrNoArmor.py.tmp"

  ;Patching "scripts\python\GamePlay\GunGame.py" using patch file "scripts\python\GamePlay\GunGame.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\GunGame.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\GunGame.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\GunGame.py" "GunGame.py.tmp"

  ;Patching "scripts\python\GamePlay\LiveAndLetDie.py" using patch file "scripts\python\GamePlay\LiveAndLetDie.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LiveAndLetDie.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\LiveAndLetDie.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LiveAndLetDie.py" "LiveAndLetDie.py.tmp"

  ;Patching "scripts\python\GamePlay\LivingDaylights.py" using patch file "scripts\python\GamePlay\LivingDaylights.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LivingDaylights.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\LivingDaylights.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LivingDaylights.py" "LivingDaylights.py.tmp"

  ;Patching "scripts\python\GamePlay\LTK.py" using patch file "scripts\python\GamePlay\LTK.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LTK.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\LTK.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LTK.py" "LTK.py.tmp"

  ;Patching "scripts\python\GamePlay\MWGG.py" using patch file "scripts\python\GamePlay\MWGG.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\MWGG.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\MWGG.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\MWGG.py" "MWGG.py.tmp"

  ;Patching "scripts\python\GamePlay\TournamentDM.py" using patch file "scripts\python\GamePlay\TournamentDM.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\TournamentDM.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\TournamentDM.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\TournamentDM.py" "TournamentDM.py.tmp"

  ;Patching "scripts\python\GamePlay\YOLT.py" using patch file "scripts\python\GamePlay\YOLT.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\YOLT.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\YOLT.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\YOLT.py" "YOLT.py.tmp"

  ;Patching "scripts\python\lib\GESource\GEAi.pypredef" using patch file "scripts\python\lib\GESource\GEAi.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAi.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEAi.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAi.pypredef" "GEAi.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEAiCond.pypredef" using patch file "scripts\python\lib\GESource\GEAiCond.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiCond.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEAiCond.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiCond.pypredef" "GEAiCond.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEAiConst.pypredef" using patch file "scripts\python\lib\GESource\GEAiConst.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiConst.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEAiConst.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiConst.pypredef" "GEAiConst.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEAiSched.pypredef" using patch file "scripts\python\lib\GESource\GEAiSched.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiSched.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEAiSched.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiSched.pypredef" "GEAiSched.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEAiTasks.pypredef" using patch file "scripts\python\lib\GESource\GEAiTasks.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiTasks.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEAiTasks.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiTasks.pypredef" "GEAiTasks.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEEntity.pypredef" using patch file "scripts\python\lib\GESource\GEEntity.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEEntity.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEEntity.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEEntity.pypredef" "GEEntity.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEGamePlay.pypredef" using patch file "scripts\python\lib\GESource\GEGamePlay.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEGamePlay.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEGamePlay.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEGamePlay.pypredef" "GEGamePlay.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEGlobal.pypredef" using patch file "scripts\python\lib\GESource\GEGlobal.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEGlobal.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEGlobal.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEGlobal.pypredef" "GEGlobal.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEMPGameRules.pypredef" using patch file "scripts\python\lib\GESource\GEMPGameRules.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEMPGameRules.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEMPGameRules.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEMPGameRules.pypredef" "GEMPGameRules.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEPlayer.pypredef" using patch file "scripts\python\lib\GESource\GEPlayer.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEPlayer.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEPlayer.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEPlayer.pypredef" "GEPlayer.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEUtil.pypredef" using patch file "scripts\python\lib\GESource\GEUtil.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEUtil.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEUtil.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEUtil.pypredef" "GEUtil.pypredef.tmp"

  ;Patching "scripts\python\lib\GESource\GEWeapon.pypredef" using patch file "scripts\python\lib\GESource\GEWeapon.pypredef.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEWeapon.pypredef"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\GESource\GEWeapon.pypredef.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEWeapon.pypredef" "GEWeapon.pypredef.tmp"

  ;Patching "scripts\python\lib\pydev\_pydev_execfile.py" using patch file "scripts\python\lib\pydev\_pydev_execfile.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\_pydev_execfile.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\pydev\_pydev_execfile.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\_pydev_execfile.py" "_pydev_execfile.py.tmp"

  ;Patching "scripts\python\lib\pydev\_pydev_getopt.py" using patch file "scripts\python\lib\pydev\_pydev_getopt.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\_pydev_getopt.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\pydev\_pydev_getopt.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\_pydev_getopt.py" "_pydev_getopt.py.tmp"

  ;Patching "scripts\python\lib\pydev\_pydev_xmlrpclib.py" using patch file "scripts\python\lib\pydev\_pydev_xmlrpclib.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\_pydev_xmlrpclib.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\pydev\_pydev_xmlrpclib.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\_pydev_xmlrpclib.py" "_pydev_xmlrpclib.py.tmp"

  ;Patching "scripts\python\lib\pydev\pydev_imports.py" using patch file "scripts\python\lib\pydev\pydev_imports.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydev_imports.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\pydev\pydev_imports.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydev_imports.py" "pydev_imports.py.tmp"

  ;Patching "scripts\python\lib\pydev\pydev_runfiles.py" using patch file "scripts\python\lib\pydev\pydev_runfiles.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydev_runfiles.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\pydev\pydev_runfiles.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydev_runfiles.py" "pydev_runfiles.py.tmp"

  ;Patching "scripts\python\lib\pydev\pydevd.py" using patch file "scripts\python\lib\pydev\pydevd.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydevd.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\pydev\pydevd.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydevd.py" "pydevd.py.tmp"

  ;Patching "scripts\python\lib\pydev\pydevd_comm.py" using patch file "scripts\python\lib\pydev\pydevd_comm.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydevd_comm.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\pydev\pydevd_comm.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydevd_comm.py" "pydevd_comm.py.tmp"

  ;Patching "scripts\python\lib\pydev\pydevd_import_class.py" using patch file "scripts\python\lib\pydev\pydevd_import_class.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydevd_import_class.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\pydev\pydevd_import_class.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydevd_import_class.py" "pydevd_import_class.py.tmp"

  ;Patching "scripts\python\lib\pydev\pydevd_vars.py" using patch file "scripts\python\lib\pydev\pydevd_vars.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydevd_vars.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\pydev\pydevd_vars.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\pydev\pydevd_vars.py" "pydevd_vars.py.tmp"

  ;Patching "scripts\python\lib\python2.6\ctypes\__init__.py" using patch file "scripts\python\lib\python2.6\ctypes\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\lib\python2.6\ctypes\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\lib\python2.6\ctypes\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\lib\python2.6\ctypes\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\.pydevproject" using patch file "scripts\python\.pydevproject.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\.pydevproject"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\.pydevproject.pat" "${PATCH_INSTALL_ROOT}\scripts\python\.pydevproject" ".pydevproject.tmp"

  ;Patching "scripts\python\__init__.py" using patch file "scripts\python\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\AiManager.py" using patch file "scripts\python\AiManager.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\AiManager.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\AiManager.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\AiManager.py" "AiManager.py.tmp"

  ;Patching "scripts\python\GamePlayManager.py" using patch file "scripts\python\GamePlayManager.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlayManager.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlayManager.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlayManager.py" "GamePlayManager.py.tmp"

  ;Patching "scripts\python\GESFuncs.py" using patch file "scripts\python\GESFuncs.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GESFuncs.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GESFuncs.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GESFuncs.py" "GESFuncs.py.tmp"

  ;Patching "scripts\python\GESInit.py" using patch file "scripts\python\GESInit.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GESInit.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GESInit.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GESInit.py" "GESInit.py.tmp"

  ;Patching "scripts\python\gphashes.txt" using patch file "scripts\python\gphashes.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\gphashes.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\gphashes.txt.pat" "${PATCH_INSTALL_ROOT}\scripts\python\gphashes.txt" "gphashes.txt.tmp"

  ;Patching "scripts\credits.txt" using patch file "scripts\credits.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\credits.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\credits.txt.pat" "${PATCH_INSTALL_ROOT}\scripts\credits.txt" "credits.txt.tmp"

  ;Patching "scripts\HudAnimations.txt" using patch file "scripts\HudAnimations.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\HudAnimations.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\HudAnimations.txt.pat" "${PATCH_INSTALL_ROOT}\scripts\HudAnimations.txt" "HudAnimations.txt.tmp"

  ;Patching "scripts\HudLayout.res" using patch file "scripts\HudLayout.res.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\HudLayout.res"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\HudLayout.res.pat" "${PATCH_INSTALL_ROOT}\scripts\HudLayout.res" "HudLayout.res.tmp"

  ;Patching "scripts\weapon_ar33.ctx" using patch file "scripts\weapon_ar33.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_ar33.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_ar33.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_ar33.ctx" "weapon_ar33.ctx.tmp"

  ;Patching "scripts\weapon_auto_shotgun.ctx" using patch file "scripts\weapon_auto_shotgun.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_auto_shotgun.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_auto_shotgun.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_auto_shotgun.ctx" "weapon_auto_shotgun.ctx.tmp"

  ;Patching "scripts\weapon_cmag.ctx" using patch file "scripts\weapon_cmag.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_cmag.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_cmag.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_cmag.ctx" "weapon_cmag.ctx.tmp"

  ;Patching "scripts\weapon_d5k.ctx" using patch file "scripts\weapon_d5k.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_d5k.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_d5k.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_d5k.ctx" "weapon_d5k.ctx.tmp"

  ;Patching "scripts\weapon_d5k_silenced.ctx" using patch file "scripts\weapon_d5k_silenced.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_d5k_silenced.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_d5k_silenced.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_d5k_silenced.ctx" "weapon_d5k_silenced.ctx.tmp"

  ;Patching "scripts\weapon_dd44.ctx" using patch file "scripts\weapon_dd44.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_dd44.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_dd44.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_dd44.ctx" "weapon_dd44.ctx.tmp"

  ;Patching "scripts\weapon_generictoken.ctx" using patch file "scripts\weapon_generictoken.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_generictoken.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_generictoken.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_generictoken.ctx" "weapon_generictoken.ctx.tmp"

  ;Patching "scripts\weapon_golden_gun.ctx" using patch file "scripts\weapon_golden_gun.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_golden_gun.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_golden_gun.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_golden_gun.ctx" "weapon_golden_gun.ctx.tmp"

  ;Patching "scripts\weapon_golden_pp7.ctx" using patch file "scripts\weapon_golden_pp7.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_golden_pp7.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_golden_pp7.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_golden_pp7.ctx" "weapon_golden_pp7.ctx.tmp"

  ;Patching "scripts\weapon_grenade.ctx" using patch file "scripts\weapon_grenade.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_grenade.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_grenade.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_grenade.ctx" "weapon_grenade.ctx.tmp"

  ;Patching "scripts\weapon_grenade_launcher.ctx" using patch file "scripts\weapon_grenade_launcher.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_grenade_launcher.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_grenade_launcher.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_grenade_launcher.ctx" "weapon_grenade_launcher.ctx.tmp"

  ;Patching "scripts\weapon_kf7.ctx" using patch file "scripts\weapon_kf7.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_kf7.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_kf7.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_kf7.ctx" "weapon_kf7.ctx.tmp"

  ;Patching "scripts\weapon_klobb.ctx" using patch file "scripts\weapon_klobb.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_klobb.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_klobb.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_klobb.ctx" "weapon_klobb.ctx.tmp"

  ;Patching "scripts\weapon_knife.ctx" using patch file "scripts\weapon_knife.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_knife.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_knife.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_knife.ctx" "weapon_knife.ctx.tmp"

  ;Patching "scripts\weapon_knife_throwing.ctx" using patch file "scripts\weapon_knife_throwing.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_knife_throwing.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_knife_throwing.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_knife_throwing.ctx" "weapon_knife_throwing.ctx.tmp"

  ;Patching "scripts\weapon_moonraker.ctx" using patch file "scripts\weapon_moonraker.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_moonraker.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_moonraker.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_moonraker.ctx" "weapon_moonraker.ctx.tmp"

  ;Patching "scripts\weapon_phantom.ctx" using patch file "scripts\weapon_phantom.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_phantom.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_phantom.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_phantom.ctx" "weapon_phantom.ctx.tmp"

  ;Patching "scripts\weapon_pp7.ctx" using patch file "scripts\weapon_pp7.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_pp7.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_pp7.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_pp7.ctx" "weapon_pp7.ctx.tmp"

  ;Patching "scripts\weapon_pp7_silenced.ctx" using patch file "scripts\weapon_pp7_silenced.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_pp7_silenced.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_pp7_silenced.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_pp7_silenced.ctx" "weapon_pp7_silenced.ctx.tmp"

  ;Patching "scripts\weapon_proximitymine.ctx" using patch file "scripts\weapon_proximitymine.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_proximitymine.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_proximitymine.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_proximitymine.ctx" "weapon_proximitymine.ctx.tmp"

  ;Patching "scripts\weapon_rcp90.ctx" using patch file "scripts\weapon_rcp90.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_rcp90.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_rcp90.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_rcp90.ctx" "weapon_rcp90.ctx.tmp"

  ;Patching "scripts\weapon_remotemine.ctx" using patch file "scripts\weapon_remotemine.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_remotemine.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_remotemine.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_remotemine.ctx" "weapon_remotemine.ctx.tmp"

  ;Patching "scripts\weapon_rocket_launcher.ctx" using patch file "scripts\weapon_rocket_launcher.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_rocket_launcher.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_rocket_launcher.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_rocket_launcher.ctx" "weapon_rocket_launcher.ctx.tmp"

  ;Patching "scripts\weapon_shotgun.ctx" using patch file "scripts\weapon_shotgun.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_shotgun.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_shotgun.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_shotgun.ctx" "weapon_shotgun.ctx.tmp"

  ;Patching "scripts\weapon_silver_pp7.ctx" using patch file "scripts\weapon_silver_pp7.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_silver_pp7.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_silver_pp7.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_silver_pp7.ctx" "weapon_silver_pp7.ctx.tmp"

  ;Patching "scripts\weapon_slappers.ctx" using patch file "scripts\weapon_slappers.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_slappers.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_slappers.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_slappers.ctx" "weapon_slappers.ctx.tmp"

  ;Patching "scripts\weapon_sniper_rifle.ctx" using patch file "scripts\weapon_sniper_rifle.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_sniper_rifle.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_sniper_rifle.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_sniper_rifle.ctx" "weapon_sniper_rifle.ctx.tmp"

  ;Patching "scripts\weapon_timedmine.ctx" using patch file "scripts\weapon_timedmine.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_timedmine.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_timedmine.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_timedmine.ctx" "weapon_timedmine.ctx.tmp"

  ;Patching "scripts\weapon_zmg.ctx" using patch file "scripts\weapon_zmg.ctx.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\weapon_zmg.ctx"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\weapon_zmg.ctx.pat" "${PATCH_INSTALL_ROOT}\scripts\weapon_zmg.ctx" "weapon_zmg.ctx.tmp"

  ;Patching "sound\items\armor_pickup.wav" using patch file "sound\items\armor_pickup.wav.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\items\armor_pickup.wav"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\items\armor_pickup.wav.pat" "${PATCH_INSTALL_ROOT}\sound\items\armor_pickup.wav" "armor_pickup.wav.tmp"

  ;Patching "sound\music\always_better.mp3" using patch file "sound\music\always_better.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\always_better.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\always_better.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\always_better.mp3" "always_better.mp3.tmp"

  ;Patching "sound\music\archives.mp3" using patch file "sound\music\archives.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\archives.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\archives.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\archives.mp3" "archives.mp3.tmp"

  ;Patching "sound\music\archives2.mp3" using patch file "sound\music\archives2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\archives2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\archives2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\archives2.mp3" "archives2.mp3.tmp"

  ;Patching "sound\music\aztec.mp3" using patch file "sound\music\aztec.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\aztec.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\aztec.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\aztec.mp3" "aztec.mp3.tmp"

  ;Patching "sound\music\aztec2.mp3" using patch file "sound\music\aztec2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\aztec2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\aztec2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\aztec2.mp3" "aztec2.mp3.tmp"

  ;Patching "sound\music\basement.mp3" using patch file "sound\music\basement.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\basement.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\basement.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\basement.mp3" "basement.mp3.tmp"

  ;Patching "sound\music\bondage.mp3" using patch file "sound\music\bondage.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\bondage.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\bondage.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\bondage.mp3" "bondage.mp3.tmp"

  ;Patching "sound\music\bunker1.mp3" using patch file "sound\music\bunker1.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\bunker1.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\bunker1.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\bunker1.mp3" "bunker1.mp3.tmp"

  ;Patching "sound\music\casino.mp3" using patch file "sound\music\casino.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\casino.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\casino.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\casino.mp3" "casino.mp3.tmp"

  ;Patching "sound\music\caverns1.mp3" using patch file "sound\music\caverns1.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\caverns1.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\caverns1.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\caverns1.mp3" "caverns1.mp3.tmp"

  ;Patching "sound\music\caverns2.mp3" using patch file "sound\music\caverns2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\caverns2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\caverns2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\caverns2.mp3" "caverns2.mp3.tmp"

  ;Patching "sound\music\classy.mp3" using patch file "sound\music\classy.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\classy.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\classy.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\classy.mp3" "classy.mp3.tmp"

  ;Patching "sound\music\control.mp3" using patch file "sound\music\control.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\control.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\control.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\control.mp3" "control.mp3.tmp"

  ;Patching "sound\music\control2.mp3" using patch file "sound\music\control2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\control2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\control2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\control2.mp3" "control2.mp3.tmp"

  ;Patching "sound\music\controlXB.mp3" using patch file "sound\music\controlXB.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\controlXB.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\controlXB.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\controlXB.mp3" "controlXB.mp3.tmp"

  ;Patching "sound\music\cradle.mp3" using patch file "sound\music\cradle.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\cradle.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\cradle.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\cradle.mp3" "cradle.mp3.tmp"

  ;Patching "sound\music\cradle2.mp3" using patch file "sound\music\cradle2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\cradle2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\cradle2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\cradle2.mp3" "cradle2.mp3.tmp"

  ;Patching "sound\music\cradle3.mp3" using patch file "sound\music\cradle3.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\cradle3.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\cradle3.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\cradle3.mp3" "cradle3.mp3.tmp"

  ;Patching "sound\music\egyptian.mp3" using patch file "sound\music\egyptian.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\egyptian.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\egyptian.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\egyptian.mp3" "egyptian.mp3.tmp"

  ;Patching "sound\music\facility.mp3" using patch file "sound\music\facility.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\facility.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\facility.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\facility.mp3" "facility.mp3.tmp"

  ;Patching "sound\music\facility2.mp3" using patch file "sound\music\facility2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\facility2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\facility2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\facility2.mp3" "facility2.mp3.tmp"

  ;Patching "sound\music\facility3.mp3" using patch file "sound\music\facility3.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\facility3.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\facility3.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\facility3.mp3" "facility3.mp3.tmp"

  ;Patching "sound\music\facility_classic.mp3" using patch file "sound\music\facility_classic.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\facility_classic.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\facility_classic.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\facility_classic.mp3" "facility_classic.mp3.tmp"

  ;Patching "sound\music\facilitySB.mp3" using patch file "sound\music\facilitySB.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\facilitySB.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\facilitySB.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\facilitySB.mp3" "facilitySB.mp3.tmp"

  ;Patching "sound\music\flight_from_arkangel.mp3" using patch file "sound\music\flight_from_arkangel.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\flight_from_arkangel.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\flight_from_arkangel.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\flight_from_arkangel.mp3" "flight_from_arkangel.mp3.tmp"

  ;Patching "sound\music\gamestartup1.mp3" using patch file "sound\music\gamestartup1.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\gamestartup1.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\gamestartup1.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\gamestartup1.mp3" "gamestartup1.mp3.tmp"

  ;Patching "sound\music\gamestartup2.mp3" using patch file "sound\music\gamestartup2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\gamestartup2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\gamestartup2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\gamestartup2.mp3" "gamestartup2.mp3.tmp"

  ;Patching "sound\music\gamestartup3.mp3" using patch file "sound\music\gamestartup3.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\gamestartup3.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\gamestartup3.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\gamestartup3.mp3" "gamestartup3.mp3.tmp"

  ;Patching "sound\music\gamestartup4.mp3" using patch file "sound\music\gamestartup4.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\gamestartup4.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\gamestartup4.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\gamestartup4.mp3" "gamestartup4.mp3.tmp"

  ;Patching "sound\music\gamestartup5.mp3" using patch file "sound\music\gamestartup5.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\gamestartup5.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\gamestartup5.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\gamestartup5.mp3" "gamestartup5.mp3.tmp"

  ;Patching "sound\music\gamestartup6.mp3" using patch file "sound\music\gamestartup6.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\gamestartup6.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\gamestartup6.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\gamestartup6.mp3" "gamestartup6.mp3.tmp"

  ;Patching "sound\music\gamestartup7.mp3" using patch file "sound\music\gamestartup7.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\gamestartup7.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\gamestartup7.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\gamestartup7.mp3" "gamestartup7.mp3.tmp"

  ;Patching "sound\music\gamestartup8.mp3" using patch file "sound\music\gamestartup8.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\gamestartup8.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\gamestartup8.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\gamestartup8.mp3" "gamestartup8.mp3.tmp"

  ;Patching "sound\music\library.mp3" using patch file "sound\music\library.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\library.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\library.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\library.mp3" "library.mp3.tmp"

  ;Patching "sound\music\martini.mp3" using patch file "sound\music\martini.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\martini.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\martini.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\martini.mp3" "martini.mp3.tmp"

  ;Patching "sound\music\piano_bond.mp3" using patch file "sound\music\piano_bond.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\piano_bond.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\piano_bond.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\piano_bond.mp3" "piano_bond.mp3.tmp"

  ;Patching "sound\music\runway1.mp3" using patch file "sound\music\runway1.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\runway1.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\runway1.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\runway1.mp3" "runway1.mp3.tmp"

  ;Patching "sound\music\runway2.mp3" using patch file "sound\music\runway2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\runway2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\runway2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\runway2.mp3" "runway2.mp3.tmp"

  ;Patching "sound\music\runway3.mp3" using patch file "sound\music\runway3.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\runway3.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\runway3.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\runway3.mp3" "runway3.mp3.tmp"

  ;Patching "sound\music\runway4.mp3" using patch file "sound\music\runway4.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\runway4.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\runway4.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\runway4.mp3" "runway4.mp3.tmp"

  ;Patching "sound\music\shakenandstirred.mp3" using patch file "sound\music\shakenandstirred.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\shakenandstirred.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\shakenandstirred.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\shakenandstirred.mp3" "shakenandstirred.mp3.tmp"

  ;Patching "sound\music\silo1.mp3" using patch file "sound\music\silo1.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\silo1.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\silo1.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\silo1.mp3" "silo1.mp3.tmp"

  ;Patching "sound\music\silo2.mp3" using patch file "sound\music\silo2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\silo2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\silo2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\silo2.mp3" "silo2.mp3.tmp"

  ;Patching "sound\music\silo3.mp3" using patch file "sound\music\silo3.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\silo3.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\silo3.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\silo3.mp3" "silo3.mp3.tmp"

  ;Patching "sound\music\spy.mp3" using patch file "sound\music\spy.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\spy.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\spy.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\spy.mp3" "spy.mp3.tmp"

  ;Patching "sound\music\standard_operating_procedure.mp3" using patch file "sound\music\standard_operating_procedure.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\standard_operating_procedure.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\standard_operating_procedure.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\standard_operating_procedure.mp3" "standard_operating_procedure.mp3.tmp"

  ;Patching "sound\music\Streets.MP3" using patch file "sound\music\Streets.MP3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\Streets.MP3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\Streets.MP3.pat" "${PATCH_INSTALL_ROOT}\sound\music\Streets.MP3" "Streets.MP3.tmp"

  ;Patching "sound\music\Surface1.mp3" using patch file "sound\music\Surface1.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\Surface1.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\Surface1.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\Surface1.mp3" "Surface1.mp3.tmp"

  ;Patching "sound\player\achievement_earned.mp3" using patch file "sound\player\achievement_earned.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\player\achievement_earned.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\player\achievement_earned.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\player\achievement_earned.mp3" "achievement_earned.mp3.tmp"

  ;Patching "sound\player\achievement_unlocked.mp3" using patch file "sound\player\achievement_unlocked.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\player\achievement_unlocked.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\player\achievement_unlocked.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\player\achievement_unlocked.mp3" "achievement_unlocked.mp3.tmp"

  ;Patching "sound\player\gameover.mp3" using patch file "sound\player\gameover.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\player\gameover.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\player\gameover.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\player\gameover.mp3" "gameover.mp3.tmp"

  ;Patching "sound\player\Janus_lose.mp3" using patch file "sound\player\Janus_lose.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\player\Janus_lose.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\player\Janus_lose.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\player\Janus_lose.mp3" "Janus_lose.mp3.tmp"

  ;Patching "sound\player\Janus_win.mp3" using patch file "sound\player\Janus_win.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\player\Janus_win.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\player\Janus_win.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\player\Janus_win.mp3" "Janus_win.mp3.tmp"

  ;Patching "sound\player\MI6_lose.mp3" using patch file "sound\player\MI6_lose.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\player\MI6_lose.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\player\MI6_lose.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\player\MI6_lose.mp3" "MI6_lose.mp3.tmp"

  ;Patching "sound\player\MI6_win.mp3" using patch file "sound\player\MI6_win.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\player\MI6_win.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\player\MI6_win.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\player\MI6_win.mp3" "MI6_win.mp3.tmp"

  ;Patching "sound\ui\goldenpie.mp3" using patch file "sound\ui\goldenpie.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\ui\goldenpie.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\ui\goldenpie.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\ui\goldenpie.mp3" "goldenpie.mp3.tmp"

  ;Patching "sound\weapons\rpg\rpg_fire1.wav" using patch file "sound\weapons\rpg\rpg_fire1.wav.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\weapons\rpg\rpg_fire1.wav"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\weapons\rpg\rpg_fire1.wav.pat" "${PATCH_INSTALL_ROOT}\sound\weapons\rpg\rpg_fire1.wav" "rpg_fire1.wav.tmp"

  ;Patching "sound\weapons\slappers\slappers_smack1.wav" using patch file "sound\weapons\slappers\slappers_smack1.wav.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\weapons\slappers\slappers_smack1.wav"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\weapons\slappers\slappers_smack1.wav.pat" "${PATCH_INSTALL_ROOT}\sound\weapons\slappers\slappers_smack1.wav" "slappers_smack1.wav.tmp"

  ;Patching "sound\weapons\slappers\slappers_smack2.wav" using patch file "sound\weapons\slappers\slappers_smack2.wav.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\weapons\slappers\slappers_smack2.wav"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\weapons\slappers\slappers_smack2.wav.pat" "${PATCH_INSTALL_ROOT}\sound\weapons\slappers\slappers_smack2.wav" "slappers_smack2.wav.tmp"

  ;Patching "sound\weapons\slappers\slappers_smack3.wav" using patch file "sound\weapons\slappers\slappers_smack3.wav.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\weapons\slappers\slappers_smack3.wav"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\weapons\slappers\slappers_smack3.wav.pat" "${PATCH_INSTALL_ROOT}\sound\weapons\slappers\slappers_smack3.wav" "slappers_smack3.wav.tmp"

  ;Patching "sound\weapons\slappers\slappers_smack4.wav" using patch file "sound\weapons\slappers\slappers_smack4.wav.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\weapons\slappers\slappers_smack4.wav"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\weapons\slappers\slappers_smack4.wav.pat" "${PATCH_INSTALL_ROOT}\sound\weapons\slappers\slappers_smack4.wav" "slappers_smack4.wav.tmp"

  ;Patching "sound\weapons\slappers\slappers_smack5.wav" using patch file "sound\weapons\slappers\slappers_smack5.wav.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\weapons\slappers\slappers_smack5.wav"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\weapons\slappers\slappers_smack5.wav.pat" "${PATCH_INSTALL_ROOT}\sound\weapons\slappers\slappers_smack5.wav" "slappers_smack5.wav.tmp"

  ;Patching "gameinfo.txt" using patch file "gameinfo.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\gameinfo.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\gameinfo.txt.pat" "${PATCH_INSTALL_ROOT}\gameinfo.txt" "gameinfo.txt.tmp"

  ;Patching "gameplaycycle.txt" using patch file "gameplaycycle.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\gameplaycycle.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\gameplaycycle.txt.pat" "${PATCH_INSTALL_ROOT}\gameplaycycle.txt" "gameplaycycle.txt.tmp"

  ;Patching "goldeneye.fgd" using patch file "goldeneye.fgd.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\goldeneye.fgd"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\goldeneye.fgd.pat" "${PATCH_INSTALL_ROOT}\goldeneye.fgd" "goldeneye.fgd.tmp"

  ;Patching "mapcycle.txt" using patch file "mapcycle.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\mapcycle.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\mapcycle.txt.pat" "${PATCH_INSTALL_ROOT}\mapcycle.txt" "mapcycle.txt.tmp"

FunctionEnd

