!macro NSISPGPatchFile PATCHDATA SOURCEFILE TEMPFILE
  InitPluginsDir
  File "/oname=$PLUGINSDIR\${TEMPFILE}.patchFile" "${PATCHDATA}"
  vpatch::vpatchfile "$PLUGINSDIR\${TEMPFILE}.patchFile" "${SOURCEFILE}" "${TEMPFILE}"
  Pop $1
  DetailPrint $1
  StrCpy $2 $1 2
  StrCmp $2 "OK" +3
  SetErrors
  nsislog::log "${LOGFILE}" "[PATCH] Failed to patch ${SOURCEFILE}; reason: $1"
  StrCpy $2 $1 3
  StrCmp $2 "OK," +1 +3
  SetErrors
  nsislog::log "${LOGFILE}" "[PATCH] Failed to patch ${SOURCEFILE}; reason: $1"
  IfFileExists "${TEMPFILE}" +1 +3
  ;nsislog::log "${LOGFILE}" "[PATCH] Successfully patched ${SOURCEFILE}"
  ;Delete /REBOOTOK "${TEMPFILE}"
  Delete "${SOURCEFILE}"
  Rename /REBOOTOK "${TEMPFILE}" "${SOURCEFILE}"
  Delete "$PLUGINSDIR\${TEMPFILE}.patchFile"
!macroend

Function patchDirectoriesAdded
FunctionEnd

Function patchDirectoriesRemoved
FunctionEnd

Function patchFilesAdded
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\loadouts"
  File "${PATCH_SOURCE_ROOT}\scripts\loadouts\gameplay_capturethekey.txt"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay"
  File "${PATCH_SOURCE_ROOT}\scripts\python\GamePlay\LaunchCode.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEAi.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEAiCond.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEAiConst.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEAiSched.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEAiTasks.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEEntity.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEGamePlay.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEGlobal.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEMPGameRules.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEPlayer.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEUtil.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource"
  File "${PATCH_SOURCE_ROOT}\scripts\python\lib\GESource\GEWeapon.py"
  SetOutPath "${PATCH_INSTALL_ROOT}\sound\music"
  File "${PATCH_SOURCE_ROOT}\sound\music\archives3.mp3"
  SetOutPath "${PATCH_INSTALL_ROOT}\sound\music"
  File "${PATCH_SOURCE_ROOT}\sound\music\caverns3.mp3"
  SetOutPath "${PATCH_INSTALL_ROOT}\sound\music"
  File "${PATCH_SOURCE_ROOT}\sound\music\frigate.mp3"
  SetOutPath "${PATCH_INSTALL_ROOT}\sound\music"
  File "${PATCH_SOURCE_ROOT}\sound\music\shaken_and_stirred.mp3"
  SetOutPath "${PATCH_INSTALL_ROOT}\sound\music"
  File "${PATCH_SOURCE_ROOT}\sound\music\streets.mp3"
  SetOutPath "${PATCH_INSTALL_ROOT}\sound\music"
  File "${PATCH_SOURCE_ROOT}\sound\music\surface1.mp3"
  SetOutPath "${PATCH_INSTALL_ROOT}\sound\music"
  File "${PATCH_SOURCE_ROOT}\sound\music\surface2.mp3"
  SetOutPath "${PATCH_INSTALL_ROOT}\sound\music"
  File "${PATCH_SOURCE_ROOT}\sound\music\surface3.mp3"
FunctionEnd

Function patchFilesRemoved
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAi.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiCond.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiConst.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiSched.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEAiTasks.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEEntity.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEGamePlay.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEGlobal.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEMPGameRules.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEPlayer.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\gesource.zip"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEUtil.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\scripts\python\lib\GESource\GEWeapon.pypredef"
  Delete "${PATCH_INSTALL_ROOT}\sound\music\shakenandstirred.mp3"
  Delete "${PATCH_INSTALL_ROOT}\sound\music\Streets.MP3"
  Delete "${PATCH_INSTALL_ROOT}\sound\music\Surface1.mp3"
FunctionEnd

Function patchFilesModified
  InitPluginsDir

  ;Patching "bin\client.dll" using patch file "bin\client.dll.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\bin\client.dll"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\bin\client.dll.pat" "${PATCH_INSTALL_ROOT}\bin\client.dll" "client.dll.tmp"

  ;Patching "bin\server.dll" using patch file "bin\server.dll.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\bin\server.dll"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\bin\server.dll.pat" "${PATCH_INSTALL_ROOT}\bin\server.dll" "server.dll.tmp"

  ;Patching "cfg\user_default.scr" using patch file "cfg\user_default.scr.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\cfg\user_default.scr"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\cfg\user_default.scr.pat" "${PATCH_INSTALL_ROOT}\cfg\user_default.scr" "user_default.scr.tmp"

  ;Patching "resource\ClientScheme.res" using patch file "resource\ClientScheme.res.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\ClientScheme.res"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\ClientScheme.res.pat" "${PATCH_INSTALL_ROOT}\resource\ClientScheme.res" "ClientScheme.res.tmp"

  ;Patching "resource\ges_createserver_map.txt" using patch file "resource\ges_createserver_map.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\ges_createserver_map.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\ges_createserver_map.txt.pat" "${PATCH_INSTALL_ROOT}\resource\ges_createserver_map.txt" "ges_createserver_map.txt.tmp"

  ;Patching "resource\gesource_english.txt" using patch file "resource\gesource_english.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_english.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_english.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_english.txt" "gesource_english.txt.tmp"

  ;Patching "resource\gesource_french.txt" using patch file "resource\gesource_french.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_french.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_french.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_french.txt" "gesource_french.txt.tmp"

  ;Patching "resource\gesource_german.txt" using patch file "resource\gesource_german.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_german.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_german.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_german.txt" "gesource_german.txt.tmp"

  ;Patching "resource\gesource_italian.txt" using patch file "resource\gesource_italian.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_italian.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_italian.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_italian.txt" "gesource_italian.txt.tmp"

  ;Patching "resource\gesource_polish.txt" using patch file "resource\gesource_polish.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_polish.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_polish.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_polish.txt" "gesource_polish.txt.tmp"

  ;Patching "resource\gesource_spanish.txt" using patch file "resource\gesource_spanish.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\resource\gesource_spanish.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\resource\gesource_spanish.txt.pat" "${PATCH_INSTALL_ROOT}\resource\gesource_spanish.txt" "gesource_spanish.txt.tmp"

  ;Patching "scripts\music\level_music_ge_bunker_classic.txt" using patch file "scripts\music\level_music_ge_bunker_classic.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\music\level_music_ge_bunker_classic.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\music\level_music_ge_bunker_classic.txt.pat" "${PATCH_INSTALL_ROOT}\scripts\music\level_music_ge_bunker_classic.txt" "level_music_ge_bunker_classic.txt.tmp"

  ;Patching "scripts\music\level_music_ge_casino.txt" using patch file "scripts\music\level_music_ge_casino.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\music\level_music_ge_casino.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\music\level_music_ge_casino.txt.pat" "${PATCH_INSTALL_ROOT}\scripts\music\level_music_ge_casino.txt" "level_music_ge_casino.txt.tmp"

  ;Patching "scripts\python\Ai\Schedules\__init__.py" using patch file "scripts\python\Ai\Schedules\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Schedules\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Schedules\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Schedules\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\Ai\Schedules\common.py" using patch file "scripts\python\Ai\Schedules\common.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Schedules\common.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Schedules\common.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Schedules\common.py" "common.py.tmp"

  ;Patching "scripts\python\Ai\Tasks\__init__.py" using patch file "scripts\python\Ai\Tasks\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Tasks\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Tasks\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Tasks\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\Ai\Tasks\common.py" using patch file "scripts\python\Ai\Tasks\common.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Tasks\common.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Tasks\common.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Tasks\common.py" "common.py.tmp"

  ;Patching "scripts\python\Ai\Utils\Memory.py" using patch file "scripts\python\Ai\Utils\Memory.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Utils\Memory.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Utils\Memory.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Utils\Memory.py" "Memory.py.tmp"

  ;Patching "scripts\python\Ai\Utils\Weapons.py" using patch file "scripts\python\Ai\Utils\Weapons.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\Utils\Weapons.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\Utils\Weapons.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\Utils\Weapons.py" "Weapons.py.tmp"

  ;Patching "scripts\python\Ai\__init__.py" using patch file "scripts\python\Ai\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\Ai\bot_deathmatch.py" using patch file "scripts\python\Ai\bot_deathmatch.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_deathmatch.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\bot_deathmatch.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_deathmatch.py" "bot_deathmatch.py.tmp"

  ;Patching "scripts\python\Ai\bot_drnoarmor.py" using patch file "scripts\python\Ai\bot_drnoarmor.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_drnoarmor.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\bot_drnoarmor.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_drnoarmor.py" "bot_drnoarmor.py.tmp"

  ;Patching "scripts\python\Ai\bot_gungame.py" using patch file "scripts\python\Ai\bot_gungame.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_gungame.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\bot_gungame.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_gungame.py" "bot_gungame.py.tmp"

  ;Patching "scripts\python\Ai\bot_ltk.py" using patch file "scripts\python\Ai\bot_ltk.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_ltk.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\bot_ltk.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_ltk.py" "bot_ltk.py.tmp"

  ;Patching "scripts\python\Ai\bot_mwgg.py" using patch file "scripts\python\Ai\bot_mwgg.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_mwgg.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\Ai\bot_mwgg.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\Ai\bot_mwgg.py" "bot_mwgg.py.tmp"

  ;Patching "scripts\python\GamePlay\Utils\__init__.py" using patch file "scripts\python\GamePlay\Utils\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Utils\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\GamePlay\Utils\GEOvertime.py" using patch file "scripts\python\GamePlay\Utils\GEOvertime.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEOvertime.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Utils\GEOvertime.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEOvertime.py" "GEOvertime.py.tmp"

  ;Patching "scripts\python\GamePlay\Utils\GEPlayerTracker.py" using patch file "scripts\python\GamePlay\Utils\GEPlayerTracker.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEPlayerTracker.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Utils\GEPlayerTracker.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEPlayerTracker.py" "GEPlayerTracker.py.tmp"

  ;Patching "scripts\python\GamePlay\Utils\GETimer.py" using patch file "scripts\python\GamePlay\Utils\GETimer.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GETimer.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Utils\GETimer.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GETimer.py" "GETimer.py.tmp"

  ;Patching "scripts\python\GamePlay\Utils\GEWarmUp.py" using patch file "scripts\python\GamePlay\Utils\GEWarmUp.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEWarmUp.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Utils\GEWarmUp.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Utils\GEWarmUp.py" "GEWarmUp.py.tmp"

  ;Patching "scripts\python\GamePlay\__init__.py" using patch file "scripts\python\GamePlay\__init__.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\__init__.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\__init__.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\__init__.py" "__init__.py.tmp"

  ;Patching "scripts\python\GamePlay\Arsenal.py" using patch file "scripts\python\GamePlay\Arsenal.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Arsenal.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\Arsenal.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\Arsenal.py" "Arsenal.py.tmp"

  ;Patching "scripts\python\GamePlay\CaptureTheKey.py" using patch file "scripts\python\GamePlay\CaptureTheKey.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\CaptureTheKey.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\CaptureTheKey.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\CaptureTheKey.py" "CaptureTheKey.py.tmp"

  ;Patching "scripts\python\GamePlay\DeathMatch.py" using patch file "scripts\python\GamePlay\DeathMatch.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\DeathMatch.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\DeathMatch.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\DeathMatch.py" "DeathMatch.py.tmp"

  ;Patching "scripts\python\GamePlay\DrNoArmor.py" using patch file "scripts\python\GamePlay\DrNoArmor.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\DrNoArmor.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\DrNoArmor.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\DrNoArmor.py" "DrNoArmor.py.tmp"

  ;Patching "scripts\python\GamePlay\GunGame.py" using patch file "scripts\python\GamePlay\GunGame.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\GunGame.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\GunGame.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\GunGame.py" "GunGame.py.tmp"

  ;Patching "scripts\python\GamePlay\LiveAndLetDie.py" using patch file "scripts\python\GamePlay\LiveAndLetDie.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LiveAndLetDie.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\LiveAndLetDie.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LiveAndLetDie.py" "LiveAndLetDie.py.tmp"

  ;Patching "scripts\python\GamePlay\LivingDaylights.py" using patch file "scripts\python\GamePlay\LivingDaylights.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LivingDaylights.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\LivingDaylights.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LivingDaylights.py" "LivingDaylights.py.tmp"

  ;Patching "scripts\python\GamePlay\LTK.py" using patch file "scripts\python\GamePlay\LTK.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LTK.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\LTK.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\LTK.py" "LTK.py.tmp"

  ;Patching "scripts\python\GamePlay\MWGG.py" using patch file "scripts\python\GamePlay\MWGG.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\MWGG.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\MWGG.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\MWGG.py" "MWGG.py.tmp"

  ;Patching "scripts\python\GamePlay\TournamentDM.py" using patch file "scripts\python\GamePlay\TournamentDM.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\TournamentDM.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\TournamentDM.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\TournamentDM.py" "TournamentDM.py.tmp"

  ;Patching "scripts\python\GamePlay\YOLT.py" using patch file "scripts\python\GamePlay\YOLT.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\YOLT.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlay\YOLT.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlay\YOLT.py" "YOLT.py.tmp"

  ;Patching "scripts\python\AiManager.py" using patch file "scripts\python\AiManager.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\AiManager.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\AiManager.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\AiManager.py" "AiManager.py.tmp"

  ;Patching "scripts\python\GamePlayManager.py" using patch file "scripts\python\GamePlayManager.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GamePlayManager.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GamePlayManager.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GamePlayManager.py" "GamePlayManager.py.tmp"

  ;Patching "scripts\python\GESFuncs.py" using patch file "scripts\python\GESFuncs.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GESFuncs.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GESFuncs.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GESFuncs.py" "GESFuncs.py.tmp"

  ;Patching "scripts\python\GESInit.py" using patch file "scripts\python\GESInit.py.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\GESInit.py"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\GESInit.py.pat" "${PATCH_INSTALL_ROOT}\scripts\python\GESInit.py" "GESInit.py.tmp"

  ;Patching "scripts\python\gphashes.txt" using patch file "scripts\python\gphashes.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\gphashes.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\gphashes.txt.pat" "${PATCH_INSTALL_ROOT}\scripts\python\gphashes.txt" "gphashes.txt.tmp"

  ;Patching "scripts\python\python.pyproj" using patch file "scripts\python\python.pyproj.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\python\python.pyproj"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\python\python.pyproj.pat" "${PATCH_INSTALL_ROOT}\scripts\python\python.pyproj" "python.pyproj.tmp"

  ;Patching "scripts\credits.txt" using patch file "scripts\credits.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\credits.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\credits.txt.pat" "${PATCH_INSTALL_ROOT}\scripts\credits.txt" "credits.txt.tmp"

  ;Patching "scripts\HudLayout.res" using patch file "scripts\HudLayout.res.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\HudLayout.res"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\HudLayout.res.pat" "${PATCH_INSTALL_ROOT}\scripts\HudLayout.res" "HudLayout.res.tmp"

  ;Patching "scripts\mod_textures.txt" using patch file "scripts\mod_textures.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\scripts\mod_textures.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\scripts\mod_textures.txt.pat" "${PATCH_INSTALL_ROOT}\scripts\mod_textures.txt" "mod_textures.txt.tmp"

  ;Patching "sound\music\always_better.mp3" using patch file "sound\music\always_better.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\always_better.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\always_better.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\always_better.mp3" "always_better.mp3.tmp"

  ;Patching "sound\music\aztec.mp3" using patch file "sound\music\aztec.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\aztec.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\aztec.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\aztec.mp3" "aztec.mp3.tmp"

  ;Patching "sound\music\bunker1.mp3" using patch file "sound\music\bunker1.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\bunker1.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\bunker1.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\bunker1.mp3" "bunker1.mp3.tmp"

  ;Patching "sound\music\casino.mp3" using patch file "sound\music\casino.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\casino.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\casino.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\casino.mp3" "casino.mp3.tmp"

  ;Patching "sound\music\cradle2.mp3" using patch file "sound\music\cradle2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\cradle2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\cradle2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\cradle2.mp3" "cradle2.mp3.tmp"

  ;Patching "sound\music\facility2.mp3" using patch file "sound\music\facility2.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\facility2.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\facility2.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\facility2.mp3" "facility2.mp3.tmp"

  ;Patching "sound\music\gamestartup4.mp3" using patch file "sound\music\gamestartup4.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\gamestartup4.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\gamestartup4.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\gamestartup4.mp3" "gamestartup4.mp3.tmp"

  ;Patching "sound\music\gamestartup7.mp3" using patch file "sound\music\gamestartup7.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\gamestartup7.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\gamestartup7.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\gamestartup7.mp3" "gamestartup7.mp3.tmp"

  ;Patching "sound\music\library.mp3" using patch file "sound\music\library.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\library.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\library.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\library.mp3" "library.mp3.tmp"

  ;Patching "sound\music\piano_bond.mp3" using patch file "sound\music\piano_bond.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\piano_bond.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\piano_bond.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\piano_bond.mp3" "piano_bond.mp3.tmp"

  ;Patching "sound\music\runway3.mp3" using patch file "sound\music\runway3.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\runway3.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\runway3.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\runway3.mp3" "runway3.mp3.tmp"

  ;Patching "sound\music\standard_operating_procedure.mp3" using patch file "sound\music\standard_operating_procedure.mp3.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\sound\music\standard_operating_procedure.mp3"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\sound\music\standard_operating_procedure.mp3.pat" "${PATCH_INSTALL_ROOT}\sound\music\standard_operating_procedure.mp3" "standard_operating_procedure.mp3.tmp"

  ;Patching "gameinfo.txt" using patch file "gameinfo.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\gameinfo.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\gameinfo.txt.pat" "${PATCH_INSTALL_ROOT}\gameinfo.txt" "gameinfo.txt.tmp"

  ;Patching "version.txt" using patch file "version.txt.pat"
  DetailPrint "Patching ${PATCH_INSTALL_ROOT}\version.txt"
  !insertmacro NSISPGPatchFile "${PATCH_FILES_ROOT}\version.txt.pat" "${PATCH_INSTALL_ROOT}\version.txt" "version.txt.tmp"

FunctionEnd

