!define OUTFILE_NAME "GoldenEye_Source_${PRODUCT_VERSION2}_full"

!include "ges_common.nsh"

SetCompress off

Section "GoldenEye: Source ${PRODUCT_VERSION2}" FILES
	IfFileExists $INSTDIR\gesource 0 +3
	DetailPrint "Removing existing ${PRODUCT_NAME} installation"
	RMDir /r "$INSTDIR\gesource"
	ExecWait "$INSTDIR\${INSTALLER_NAME}_Uninstall.exe /S"
    
    SetOverwrite ifdiff
    SetOutPath "$INSTDIR"
	
    File "${MODDIR}.7z"
    Nsis7z::ExtractWithDetails "${MODDIR}.7z" "Installing ${PRODUCT_NAME} - %s"
    Delete "${MODDIR}.7z"
    
    IfFileExists "$INSTDIR\gamestate.txt" 0 +2
      CopyFiles "$INSTDIR\gamestate.txt" "$INSTDIR\gesource\gamestate.txt"
      Delete "$INSTDIR\gamestate.txt"

    Call GESUninstaller
    Call GESShortcut
	
	nsisSlideshow::stop
SectionEnd

Function .onInit
    Call GESFindInstallPath

    SectionSetFlags ${SHORTCUT} 0
    SectionSetFlags ${BUA} 1
	SectionSetFlags ${InstallCpp2012} 17
	SectionSetFlags ${FILES} 17

IfFileExists $INSTDIR\gesource 0 +3
   MessageBox MB_YESNO "This installer will delete ALL FILES you currently have for GoldenEye: Source, including custom maps and sounds!\
   $\r$\rIf you want to update from 4.2.4 to ${PRODUCT_VERSION} and keep settings, download a copy of the Patch Installer.\
   $\r$\rAre you sure you want to continue?" IDYES doinstall
   Abort

	doinstall:
FunctionEnd