; Uncomment below to enable password page for the installer
;!define USEPASSWORD

;This is the name of the game defined in gameinfo.txt
;Remove all colons from this (as well as any other invalid char in a file name)
!define OUTFILE_NAME "GoldenEye_Source_${PRODUCT_VERSION2}_patch"


!include "ges_common.nsh"

; Folders under the .nsi's folder in which patch files are stored
!define PATCH_SOURCE_ROOT "${PRODUCT_VERSION}"
!define PATCH_FILES_ROOT "${PRODUCT_VERSION}_patch"
!define PATCH_INSTALL_ROOT "$INSTDIR\gesource"

; Patch file definitions
!include "patch_files.nsh"

Section "${PRODUCT_VERSION2} Patch" FILES
    SetOverwrite ifdiff
    SetOutPath "$INSTDIR"
    
    Call patchFilesRemoved
    Call patchDirectoriesRemoved
    Call patchDirectoriesAdded
    Call patchFilesAdded
    Call patchFilesModified
    Call GESErrorResponse
    
    IfFileExists "$INSTDIR\gamestate.txt" 0 +2
    CopyFiles "$INSTDIR\gamestate.txt" "$INSTDIR\gesource\gamestate.txt"
    Delete "$INSTDIR\gamestate.txt"
    
    Call GESUninstaller
    Call GESShortcut
SectionEnd

Function .onInit
    Call GESFindInstallPath

    SectionSetFlags ${SHORTCUT} 0
    SectionSetFlags ${FILES} 17
    SectionSetFlags ${BUA} 1
    
IfFileExists $INSTDIR\gesource +3 0
   MessageBox MB_OK "This installer requires that GoldenEye: Source v4.2.3 be installed. Please obtain a copy of the Full Installer."
   Abort

FunctionEnd
